onload=function()
{
	divTransparente=document.getElementById("transparencia");
	divMensaje=document.getElementById("transparenciaMensaje");
	//form=document.getElementById("formulario");

	//valorruc= form.inputRUC.value;
	urlDestino="cantones_proceso.php";
	preCarga("imagenes/ok.gif", "imagenes/loading.gif", "imagenes/error.gif");
}


function muestraMensaje(mensaje)
{
	divMensaje.innerHTML=mensaje;
	divTransparente.style.display="block";
}


function preCarga()
{
	imagenes=new Array();
	for(i=0; i<arguments.length; i++)
	{
		imagenes[i]=document.createElement("img");
		imagenes[i].src=arguments[i];
	}
}


function eliminaEspacios(cadena)
{
	// Funcion para eliminar espacios delante y detras de cada cadena
	while(cadena.charAt(cadena.length-1)==" ") cadena=cadena.substr(0, cadena.length-1);
	while(cadena.charAt(0)==" ") cadena=cadena.substr(1, cadena.length-1);
	return cadena;
}

/*obtiene los contenedores donde se cargaran las provincias segn el pais seleccionado*/
function provincia(pais, provincia)
{
	ListaProvincias = document.getElementById(provincia); //contenedor del limite norte
	ListaPais = document.getElementById(pais);
	//obtiene el indice del pais seleccionado
	var paisSeleccionado=ListaPais.options[ListaPais.selectedIndex].value;

	//carga cada uno de los limtes de las provincias en sus respectivos conetedores
	LimitesProvincias(ListaProvincias,paisSeleccionado, provincia);
}

//carga el listado de provincias en su respectivo contenedor
function LimitesProvincias(limite,paisSeleccionado, limiteId){

	//variable que identifica que es lo que quiero cargar al llamar al archivo provincia_proceso.php
	var eleccion= "limitesProvincias";
	var limiteId = limiteId;
	var ajax= nuevoAjax();

	ajax.open("POST", urlDestino, true);
	ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");

	//envio el id del pais seleccionado y lo que quiero cargar segn el identificador
	ajax.send("pais="+paisSeleccionado+"&eleccion="+eleccion+"&limite="+limiteId);
	ajax.onreadystatechange=function()
	{
		if(ajax.readyState==4)
		{
		  if(ajax.responseText=="No")
		  {
			alert("Este codigo no existe");
		  }
		  else
		  {
			limite.innerHTML=ajax.responseText;
		  }
		}
	}

}


/*form del ingreso de datos de cantones*/
function datosCantones(formulario, opcion)
{
	form = document.getElementById(formulario);
	var idCanton = form.idCanton.value;
	var canton = form.inputNombre.value;
	var idprovincia = form.provincia.value;
	
	var ajax=nuevoAjax();
	ajax.open("POST",  urlDestino, true);
	ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	ajax.send("form="+formulario+"&idprovincia="+idprovincia+"&canton="+canton+"&idCanton="+idCanton+"&opcion="+opcion);

	alert ("Datos Grabados con xito");
	ajax.onreadystatechange=function()
	{
		if (ajax.readyState==4)
		{
				var respuesta=ajax.responseText;
				//alert("Exito en la insercion");
				if(respuesta=="Exito")
				{ //habia un alt='Ok' dentro del img como parametro
					var texto="<img src='imagenes/ok.gif'><br>El canton ha sido ingresado con exito.<br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				}
				muestraMensaje(texto);
		}
	}
}


function ConsultarInformacionCantones()
{
	//obtengo el div donde se va mostrar la informacin de los clientes
	var divCliente= document.getElementById("cliente");
	// se obtiene el  valor del inputRUC desde 0 caracteres o completos
	var inputProvincia= document.getElementById("inputCanton");
	//Imagen que acta como un boton que al presionarlo nos consulta en la base de datos si se encuentra la informacin
	var boton=document.getElementById("consultar");
	var valor= inputProvincia.value;
	var eleccion= "consultarinformacanton";

	valor=eliminaEspacios(valor);
//alert(document.location.toString().charAt(17));
	//creo la instancia de AJAX
	var ajax= nuevoAjax();
	ajax.open("POST", urlDestino, true);
	ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	ajax.send("canton="+valor+"&eleccion="+eleccion);
	ajax.onreadystatechange=function()
	{
		if(ajax.readyState==4)
		{
		  if(ajax.responseText=="No")
		  {
			alert("Este codigo no existe");
		  }
		  else
		  {
			divCliente.innerHTML=ajax.responseText;
		  }
		}
	}


}

function WindowEliminarCanton(valor)
{
	var confirmacion=window.confirm("Estas seguro de eliminar el cantn seleccionado");
	if(confirmacion)
	{
//		document.location();
		window.open("cantonesinformacion?eliminar=1&idCanton="+valor,"_self");
	}
}



/*-----------------------------------------------------------*/
