function nuevoAjax()
{
	var xmlhttp=false;
	try
	{
		// No IE
		xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
	}
	catch(e)
	{
		try
		{
			// IE
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		catch(E) { xmlhttp=false; }
	}
	if (!xmlhttp && typeof XMLHttpRequest!="undefined") { xmlhttp=new XMLHttpRequest(); }
	return xmlhttp;
}


function eliminaEspacios(cadena)
{
	// Funcion para eliminar espacios delante y detras de cada cadena
	while(cadena.charAt(cadena.length-1)==" ") cadena=cadena.substr(0, cadena.length-1);
	while(cadena.charAt(0)==" ") cadena=cadena.substr(1, cadena.length-1);
	return cadena;
}

function validaLongitud(valor, permiteVacio, minimo, maximo)
{
	var cantCar=valor.length;
	if(valor=="")
	{
		if(permiteVacio) return true;
		else return false;
	}
	else
	{
		if(cantCar>=minimo && cantCar<=maximo) return true;
		else return false;
	}
}

function validaIngreso(valor)
{
	var reg=/(^[a-zA-Z0-9.@ ]{10,10}$)/;
	if(reg.test(valor)) return true;
	else return false;

}
function validaIngresoNumero(valor)
{
	var reg=/(^[0-9]{0,30}$)/;
	if(reg.test(valor)) return true;
	else return false;
}
/*
MODULO: ADMINISTRADOR 
FUNCION: CAA_ConsultarAdministrador()
DESCRIPCION: Utilizado en administrador_datos.php
*/
function CAA_ConsultarAdministrador()
{
	var divAdministrador= document.getElementById("administrador");
	var inputCedula= document.getElementById("inputCedula");
	var botonConsulta= document.getElementById("consultar");
	var valor= inputCedula.value;
	var  urlDestino= "consultainformacion_proceso.php";
	var eleccion= "caa_consultaAdministrador";
	
	valor = eliminaEspacios(valor);
	
	if(!validaIngresoNumero(valor))// || !validaLongitud(valor,1,0,10))
	{
		alert("El texto ingresado contiene caracteres invlidos");
	}
	else
	{
		var ajax = nuevoAjax();
		ajax.open("POST", urlDestino,true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send("cedula="+valor+"&eleccion="+eleccion);
		ajax.onreadystatechange=function()
		{
			if(ajax.readyState==4)
			{
					divAdministrador.innerHTML=ajax.responseText;
			}
		}

		
	}
	
	
}

function CAN_ConsultarCliente()
{
	var urlDestino="consultainformacion_proceso.php";
	// Obtengo el div donde se mostraran las advertencias y errores
	var divCliente= document.getElementById("cliente");

	var inputCedula=document.getElementById("inputCedula");
		// Boton presionado en este caso una imagen que actua como un boton
	var boton=document.getElementById("consultar");
		// Valor ingresado por el usuario
	var valor=inputCedula.value;
	var eleccion="can_consultarcliente";

		// Texto a colocar en el input mientras se esta cargando la respuesta del servidor
//	var textoAccion="Ingresando...";

// Elimino espacios por delante y detras de lo ingresado por el usuario
	valor=eliminaEspacios(valor);
	// Si el ingreso es invalido coloco un mensaje de error en la capa correspondiente

	if(!validaIngresoNumero(valor) || !validaLongitud(valor,0,10,10))
		{
		alert("El texto ingresado contiene caracteres o longitud invlida");
		//divCliente.innerHTML="El texto ingresado contiene caracteres o longitud inv&aacute;lida";
	}
	else
	{
		// Deshabilito inputs y botones para evitar dobles ingresos
		//boton.disabled=true; //input.disabled=true;
		//input.value=textoAccion;

		// Creo la conexion con el servidor y le envio la variable evento (que le indica si debe ingresar o verificar) y el dato a utilizar

		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send("cedula="+valor+"&eleccion="+eleccion);
		ajax.onreadystatechange=function()
		{
			if (ajax.readyState==4)
			{
				// Habilito nuevamente botones e inputs
				//input.value="";
				//boton.disabled=false; input.disabled=false;
				// Muestro el mensaje enviado desde el servidor
				if(ajax.responseText=="No"){
					alert("Este codigo no existe");
					}
				else{
					divCliente.innerHTML=ajax.responseText;
				}
				//divCliente.innerHTML=
				//divCliente.innerHtML="holacomo esta";//ajax.responseText;
			}
		}
	}

}

function CAC_ConsultarInformacionCliente()
{
	var urlDestino='consultainformacion_proceso.php';
	//obtengo el div donde se va mostrar la informacin de los clientes
	var divCliente= document.getElementById("cliente");
	// se obtiene el  valor del inputRUC desde 0 caracteres o completos
	var inputCedula= document.getElementById("inputCedula");
	//Imagen que acta como un boton que al presionarlo nos consulta en la base de datos si se encuentra la informacin
	var boton=document.getElementById("consultar");
	var valor= inputCedula.value;
	var eleccion= "CAC_consultarinformacioncliente";

	valor=eliminaEspacios(valor);

	//se valida el valor si se encuentra entre los caracteres permitidos
	if(!validaIngresoNumero(valor)|| !validaLongitud(valor,1,0,10))
	{
		alert("El texto ingresado contiene caracteres o longitud invlida.\n Tiene que ingresar mayor o igual a 2 caracteres");
	}
	else
	{
		//creo la instancia de AJAX
		var ajax= nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send("cedula="+valor+"&eleccion="+eleccion);
		ajax.onreadystatechange=function()
		{
			if(ajax.readyState==4)
			{
              if(ajax.responseText=="No")
              {
              	alert("Este codigo no existe");
              }
              else
              {
              	divCliente.innerHTML=ajax.responseText;
              }
			}
		}
	}

}
/*Modificado utilizado para promocion no modificado*/
function CA_CargarTipoConsulta(eleccion)
{
	var divConsulta=document.getElementById("divConsulta");
	var seleccion= document.getElementById("select_consulta_por");
	var consultapor= seleccion.options[seleccion.selectedIndex].value;
	if(consultapor==0)
	{ 
		alert("seleccione una opci&oacute;n");
	}
		var ajax=nuevoAjax();
		ajax.open("POST","tipoconsulta_proceso.php", true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send("consultapor="+consultapor+"&eleccion="+eleccion);
		ajax.onreadystatechange=function()
		{
			if(ajax.readyState==4)
			{
				divConsulta.innerHTML=ajax.responseText;
			}
			
		}
	
}


function CA_ConsultarInformacion(cadena)
{	var urlDestino="consultainformacion_proceso.php";
	var error=0;
	var enviar="";
	var forma="";
	if(cadena=='sitio') forma="CAS_consultaxsitio"; else forma="CAN_consultaxnegocio";
	//obtengo el div donde se va mostrar la informacin de los clientes
	var divCliente= document.getElementById("cliente");
	var selectConsulta=document.getElementById("select_consulta_por");
	var option=selectConsulta.options[selectConsulta.selectedIndex].value;
	switch (parseInt(option))
	{
			case 0: alert("Seleccione una opcin para realizar la consulta"); error=1; break;
			case 1: 
					var nombre=document.getElementById("inputNombre");
					nombre=nombre.value;
						if(!validaLongitud(nombre,0,1,50))
						{
							alert("El texto ingresado contiene caracteres o longitud invlida.\n");
							error=1;
						}
						else
						{
						enviar="nombre="+nombre+"&option="+option;
						}
					break;
			case 2:
					var selectTipo=document.getElementById("tiponegocio");
					var optionTipo=selectTipo.options[selectTipo.selectedIndex].value;
					if(parseInt(optionTipo)==0)
					{
						alert("Elija una opcin para realizar la consulta.");
						error=1;
					}
					else{
						enviar="optionTipo="+optionTipo+"&option="+option;
					}
					break;
			case 3: //tengo que definir bien esto
/*					if(cadena=='sitio'){
						var selectPais=document.getElementById("paises");
						var selectProvincia=document.getElementById("estados");
						var selectCanton=document.getElementById("cantones");
						var optionPais=selectPais.options[selectPais.selectedIndex].value;
						var optionProvincia=selectProvincia.options[selectProvincia.selectedIndex].value;
						var optionCanton=selectCanton.options[selectCanton.selectedIndex].value;
						enviar="optionPais="+optionPais+"&optionProvincia="+optionProvincia+"&optionCanton="+optionCanton+"&option="+option;
					}
					else 
					{*/
					if(cadena=='negocio'){
						var cedula=document.getElementById("inputCedula");
						cedula=cedula.value;
						if(!validaLongitud(cedula,0,10,10)|| !validaIngresoNumero(cedula))
						{
							alert("El texto ingresado contiene caracteres o longitud invlida.\n");
							error=1;
						}
						else
						{
							enviar="cedula="+cedula+"&option="+option;
						}
					}	
					break;
			default: break;
	}
	if(error!=1)
	{
		var ajax=nuevoAjax();
		ajax.open("POST",urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send(enviar+"&forma="+forma);

		ajax.onreadystatechange=function()
		{
			if(ajax.readyState==4)
			{
				divCliente.innerHTML=ajax.responseText;
			}
			
		}
	}
	
}
function CA_ConsultarInformacionPromocion()
{	var urlDestino="consultainformacion_proceso.php";
	var error=0;
	var enviar="";
	var forma="CAP_consultaxpromocion";
	//obtengo el div donde se va mostrar la informacin de los clientes
	var divPromocion= document.getElementById("promocion");
	var selectConsulta=document.getElementById("select_consulta_por");
	var option=selectConsulta.options[selectConsulta.selectedIndex].value;
	switch (parseInt(option))
	{
			case 0: alert("Seleccione una opcin para realizar la consulta"); error=1; break;
			case 1: 
					var nombre=document.getElementById("inputNombre");
					nombre=nombre.value;
						if(!validaLongitud(nombre,0,1,50))
						{
							alert("El texto ingresado contiene caracteres invlidos.\n");
							error=1;
						}
						else
						{
						enviar="nombre="+nombre+"&option="+option;
						}
					break;
			case 2:
					var selectTipo=document.getElementById("tiponegocio");
					var optionTipo=selectTipo.options[selectTipo.selectedIndex].value;
					if(parseInt(optionTipo)==0)
					{
						alert("Elija una opcin para realizar la consulta.");
						error=1;
					}
					else{
						enviar="optionTipo="+optionTipo+"&option="+option;
					}
					break;
			default: break;
	}
	if(error!=1)
	{
		var ajax=nuevoAjax();
		ajax.open("POST",urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send(enviar+"&forma="+forma);

		ajax.onreadystatechange=function()
		{
			if(ajax.readyState==4)
			{
				divPromocion.innerHTML=ajax.responseText;
			}
			
		}
	}
	
}
/*CONSULTAR REGISTROS*/
/*function WindowConsultaAdministrador(valor)
{
	window.open("consultaradministrador.php?valor="+valor,"consultar","toolbar=no, directories=no, menubar=no, status=yes, width=450px, height=350px, scrollbars=yes");
}*/

/*function WindowConsultaTipoNegocio(valor)
{
	window.open("consultarnegocio.php?valor="+valor,"consultar","toolbar=no,directories=no,menubar=no,status=yes, width=550px, height=550px,scrollbars=yes");

}

function WindowConsultaDetalladaCliente(valor)
{
	window.open("consultadetalladacliente.php?valor="+valor,"consultar","toolbar=no,directories=no,menubar=no,status=yes, width=450px, height=500px,scrollbars=yes");
}

function WindowConsultaDetalladaSitio(valor)
{
	window.open("consultarsitio.php?valor="+valor,"consultar","toolbar=no,directories=no,menubar=no,status=yes, width=450px, height=550px,scrollbars=yes");
}
function WindowConsultaTipoPromocion(valor)
{
	window.open("consultarpromocion.php?valor="+valor,"consultar","toolbar=no,directories=no,menubar=no,status=yes, width=450px, height=550px,scrollbars=yes");
}*/

/*MODIFICAR REGISTROS*/

/*function WindowModificarAdministrador(cadena)
{
	window.open("modificaradministrador.php?valor="+cadena,"modificar","toolbar=no, directories=no, menubar=no, status=yes, width=600px, height=400px, scrollbars=yes");
}*/
	
/*function WindowModificarCliente(valor)
{
	window.open("modificarcliente.php?valor="+valor,"modificar","toolbar=no,directories=no,menubar=no,status=yes,width=600px,height=500px,scrollbars=yes");
}

function WindowModificarNegocio(valor)
{
	window.open("modificarnegocio.php?valor="+valor,"modificar","toolbar=no,directories=no,menubar=no,status=yes,width=700px,height=550px,scrollbars=yes");
}

function WindowModificarSitio(valor)
{
	window.open("modificarsitio.php?valor="+valor,"modificar","toolbar=no,directories=no,menubar=no,status=yes,width=500px,height=550px,scrollbars=yes");
}
*/
/*modificado*/
/*function WindowModificarTipoPromocion(valor){
	window.open("modificarpromocion.php?valor="+valor,"modificar","toolbar=no,directories=no,menubar=no,status=yes,width=500px,height=550px,scrollbars=yes");
}

function WindowModificarTipoNegocio(valor){
	window.open("modificartiponegocio.php?valor="+valor,"modificar","toolbar=no,directories=no,menubar=no,status=yes,width=500px,height=550px,scrollbars=yes");
}*/

/*function WindowDetalleTipoNegocio(valor)
{
	/*Aqui se va a dibujar la pagina de detalle donde se presentara las pantallas de las imagenes y el text area de descripcion nota: no se lo va ha hacer con wysiwyg solo en sitio y en ciudades tursticas porque ahi si se va a modificar.
	document.location='informaciondetallenegocio.php?idnegocio='+valor;
}
*/
function WindowEliminarAdministrador(valor)
{
	var confirmacion=window.confirm("Estas seguro de eliminar el administrador:"+valor);
	if(confirmacion)
	{
		window.open("administrador_datos.php?eliminar=1&cedulaadm="+valor,"_self");
	}
}

function WindowEliminarCliente(valor)
{
	var confirmacion=window.confirm("Estas seguro de eliminar el cliente:"+valor);
	if(confirmacion)
	{
		window.open("informaciongeneralcliente?eliminar=1&cedula="+valor,"_self");
	}
}

function WindowEliminarTipoNegocio(valor)
{
	var confirmacion=window.confirm("Estas seguro de eliminar este negocio:"+valor);
	if(confirmacion)
	{
		window.open("tiponegocioxcliente.php?eliminar=1&idnegocio="+valor,"_self");
	}
}
/*funcion 
  modificaciones: debo utilizar esta funcion para muchas partes que deseo eliminar para esto puedo enviarle como parametros la variable cadena o tambien la consulta y llamo a la funcion CA_Consulta(cadena).
  hacer para sitio, promocion y todo que sea eliminado
*/

function WindowEliminarAjax(valor,cadena) 
{
	var urlDestino="consultainformacion_proceso.php";
	var forma="eliminando";
	if (window.confirm("Estas seguro que desea eliminar."))
	{
		var ajax=nuevoAjax();
		ajax.open("POST",urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send("valor="+valor+"&cadena="+cadena+"&forma="+forma);
		ajax.onreadystatechange=function()
		{
			if(ajax.readyState==4)
			{
				var respuesta=ajax.responseText;
				alert(respuesta);
				if(respuesta=="OK"){
					alert("Se elimino con exito");
					//CA_ConsultarInformacion('negocio');
					CA_Consulta(cadena);
				}
				else{	alert("Ocurrio un error");}
				
			}		
		}
	}
}

function CA_Consulta(cadena)
{
	switch(cadena){
		case 'negocio': CA_ConsultarInformacion(cadena); break;
		case 'sitio': CA_ConsultarInformacion(cadena); break;
		case 'promocion': CA_ConsultarInformacionPromocion(); break;
		case 'tiponegocio': CA_ConsultarTipo('negocio'); break;
		case 'tipositio': CA_ConsultarTipo('sitio'); break;
		default: break;
/*	if(cadena=='negocio' || cadena=='sitio' ) CA_ConsultarInformacion(cadena);
	if(cadena=='promocion') CA_ConsultarInformacionPromocion();
	if(cadena=='tiponegocio') CA_ConsultarTipo('negocio');
	if(cadena=='tipositio') CA_ConsultarTipo('sitio');*/
	}
	
}


function WindowAjaxBorrarArreglos(cadena)
{
	var urlDestino="consultainformacion_proceso.php";
	var forma="eliminando";//"eliminararreglo";
	var arreglo=new Array();
	var indice=0;
	try{
			for(i=0;i<=document.forms.formulario.elements.length-1;i++){
				if(document.forms.formulario.elements[i].checked){
					arreglo[indice]= document.forms.formulario.elements[i].value;
					indice++;
				}
			
			}
	if(indice==0) alert('No hay elementos seleccionados');
	else{
			if(window.confirm('Esta seguro de eliminar'))
			{
				var ajax= new nuevoAjax();
				ajax.open("POST",urlDestino,true);
				ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
				ajax.send("valor="+arreglo+"&forma="+forma+"&cadena="+cadena);
				ajax.onreadystatechange=function()
				{
					if(ajax.readyState==4)
					{
						var respuesta=ajax.responseText;
						if(respuesta=="OK"){
							alert("Se elimino con exito");
								CA_Consulta(cadena);
						}
						else{	alert(respuesta);
						}
			
					}
				}
			}
	}
	}//fin del try
	catch(e){
		alert('No existen elementos');
	}
	//}//fin del else indice==0
}
/*

*/
function EliminarDetalleNegocio()
{
	var ar= new Array();
	var check_llenos=0;
	try{
		for(i=0;i<=document.forms.formulario.elements.length-1;i++){
			if(document.forms.formulario.elements[i].checked){
				check_llenos=1;//ar[i]=document.forms.formulario.elements[i].value;
				break;
			}
		}
		if(check_llenos==1){
			if(confirm("Esta seguro de borrar los registros"))
			{
				forma=document.getElementById('formulario').submit();
			}
		}
		else{
			alert('No hay registros seleccionados');
		}
	}catch(e){
		alert('No hay registros seleccionados');
	}
}

/*
function WindowEliminarSitio(valor)
{
	var confirmacion=window.confirm("Estas seguro de eliminar este sitio:"+valor);
	if(confirmacion)
	{
		window.open("informaciongeneralsitio.php?eliminar=1&idnegocio="+valor,"_self");
	}	
	
}
*/

function CambiarcheckBoxSeleccionados()
{
	//if(document.forms.formulario.elements!=null){
		try{
			for( i=0;i<=document.forms.formulario.elements.length-1;i++){
				if(!document.forms.formulario.elements[i].checked){
					document.forms.formulario.elements[i].checked=true;
					}
				else{
					if(document.forms.formulario.elements[i].checked){
						document.forms.formulario.elements[i].checked=false;
					}
				}
			}
		}catch(e){
			alert('No existen elementos');
		}
	//}else{
	//	alert("No hay elementos");
	//}
}

/*MODIFICADO
FUNCION EN PROCESO 
SE UTILIZARIA PARA ESCOJER EL EL NOMBRE DEL NEGOCIO DENTRO DE UNA VENTANA A LA ACTUAL... Y ESTE VALOR SE PRESENTE EN UN INPUT
*/
function EnviarNegocio(valor){
	alert(valor);
	alert('hola');
	history.go(-1);

}


/*
MODULO: TIPO DE NEGOCIO, TIPO DE SITIO
FUNCION: CA_ConsultarTipoNegocio()
MODIFICADO
*/
function CA_ConsultarTipo(eleccion)
{
	var urlDestino="consultainformacion_proceso.php";
	var enviar="";
	var forma="CA_consultaxtipo";
	//obtengo el div donde se va mostrar la informacin de los clientes
	var divTipoNegocio= document.getElementById("cliente");
	var nombre=document.getElementById("inputNombre");
	nombre=nombre.value;
	//if(!validaLongitud(nombre,0,1,50)){
		//alert("El texto ingresado contiene caracteres o longitud invlida.\n");
	//}else{
		var ajax=nuevoAjax();
		ajax.open("POST",urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send("nombre="+nombre+"&forma="+forma+"&eleccion="+eleccion);
		ajax.onreadystatechange=function()
		{
			if(ajax.readyState==4)
			{
				divTipoNegocio.innerHTML=ajax.responseText;
			}
			
		}
	//}
}
