onload=function()
{
	divTransparente=document.getElementById("transparencia");
	divMensaje=document.getElementById("transparenciaMensaje");
	//form=document.getElementById("formulario");

	//valorruc= form.inputRUC.value;
	urlDestino="provincia_proceso.php";
	preCarga("imagenes/ok.gif", "imagenes/loading.gif", "imagenes/error.gif");
}


function muestraMensaje(mensaje)
{
	divMensaje.innerHTML=mensaje;
	divTransparente.style.display="block";
}


function preCarga()
{
	imagenes=new Array();
	for(i=0; i<arguments.length; i++)
	{
		imagenes[i]=document.createElement("img");
		imagenes[i].src=arguments[i];
	}
}


function eliminaEspacios(cadena)
{
	// Funcion para eliminar espacios delante y detras de cada cadena
	while(cadena.charAt(cadena.length-1)==" ") cadena=cadena.substr(0, cadena.length-1);
	while(cadena.charAt(0)==" ") cadena=cadena.substr(1, cadena.length-1);
	return cadena;
}

/*obtiene los contenedores donde se cargaran las provincias segn el pais seleccionado*/
function Limites(pais, limitenorte, limitesur, limiteeste, limiteoeste)
{
	ListaLimiteNorte = document.getElementById(limitenorte); //contenedor del limite norte
	ListaLimiteSur = document.getElementById(limitesur); 	//contenedor del limite sur
	ListaLimiteEste = document.getElementById(limiteeste);	//contenedor del limite este
	ListaLimiteOeste = document.getElementById(limiteoeste);	//contenedor del limite oeste

	ListaPais = document.getElementById(pais);
	//obtiene el indice del pais seleccionado
	var paisSeleccionado=ListaPais.options[ListaPais.selectedIndex].value;

	//carga cada uno de los limtes de las provincias en sus respectivos conetedores
	LimitesProvincias(ListaLimiteNorte,paisSeleccionado, limitenorte);
	LimitesProvincias(ListaLimiteSur,paisSeleccionado, limitesur);
	LimitesProvincias(ListaLimiteEste,paisSeleccionado, limiteeste);
	LimitesProvincias(ListaLimiteOeste,paisSeleccionado, limiteoeste);
}

//carga el listado de provincias en su respectivo contenedor
function LimitesProvincias(limite,paisSeleccionado, limiteId){

	//variable que identifica que es lo que quiero cargar al llamar al archivo provincia_proceso.php
	var eleccion= "limitesProvincias";
	var limiteId = limiteId;
	var ajax= nuevoAjax();

	ajax.open("POST", urlDestino, true);
	ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");

	//envio el id del pais seleccionado y lo que quiero cargar segn el identificador
	ajax.send("pais="+paisSeleccionado+"&eleccion="+eleccion+"&limite="+limiteId);
	ajax.onreadystatechange=function()
	{
		if(ajax.readyState==4)
		{
		  if(ajax.responseText=="No")
		  {
			alert("Este codigo no existe");
		  }
		  else
		  {
			limite.innerHTML=ajax.responseText;
		  }
		}
	}

}


/*form del ingreso de datos de la provincia*/
function datosProvincia(formulario, opcion)
{
	form = document.getElementById(formulario);
	
	var idProvincia = form.idProvincia.value;
	var provincia = form.inputNombre.value;
	var clima = form.inputClima.value;
	var hab = form.inputHabitantes.value;
	var paisSeleccionado = form.pais.value;

	var arrayLimiteNorte = new Array();
	var countLimiteNorte = 0;
	for (i=0;i<form.limitenorte.length;i++)
    {
    	if (form.limitenorte.options[i].selected) {
     		arrayLimiteNorte[countLimiteNorte] = form.limitenorte.options[i].value;
			countLimiteNorte++;
		}
    }
	
	var arrayLimiteSur = new Array();
	var countLimiteSur = 0;
	for (i=0;i<form.limitesur.length;i++)
    {
    	if (form.limitesur.options[i].selected) {
     		arrayLimiteSur[countLimiteSur] = form.limitesur.options[i].value;
			countLimiteSur++;
		}
    }
	
	var arrayLimiteEste = new Array();
	var countLimiteEste = 0;
	for (i=0;i<form.limiteeste.length;i++)
    {
    	if (form.limiteeste.options[i].selected) {
     		arrayLimiteEste[countLimiteEste] = form.limiteeste.options[i].value;
			countLimiteEste++;
		}
    }
	
	var arrayLimiteOeste = new Array();
	var countLimiteOeste = 0;
	for (i=0;i<form.limiteoeste.length;i++)
    {
    	if (form.limiteoeste.options[i].selected) {
     		arrayLimiteOeste[countLimiteOeste] = form.limiteoeste.options[i].value;
			countLimiteOeste++;
		}
    }

			
	var ajax=nuevoAjax();
	ajax.open("POST",  urlDestino, true);
	ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	ajax.send("provincia="+provincia+"&clima="+clima+"&hab="+hab+"&form="+formulario+"&pais="+paisSeleccionado+"&ln="+arrayLimiteNorte+"&ls="+arrayLimiteSur+"&le="+arrayLimiteEste+"&lo="+arrayLimiteOeste+"&idProvincia="+idProvincia+"&opcion="+opcion);
	
//	alert("provincia="+provincia+"&clima="+clima+"&hab="+hab+"&form="+formulario+"&pais="+paisSeleccionado+"&ln="+arrayLimiteNorte+"&ls="+arrayLimiteSur+"&le="+arrayLimiteEste+"&lo="+arrayLimiteOeste+"&idProvincia="+idProvincia+"&opcion="+opcion);
	alert ("Datos Grabados con xito");
	ajax.onreadystatechange=function()
	{
		if (ajax.readyState==4)
		{
				var respuesta=ajax.responseText;
				//alert("Exito en la insercion");
				if(respuesta=="Exito")
				{ //habia un alt='Ok' dentro del img como parametro
					var texto="<img src='imagenes/ok.gif'><br>El administrador ha sido ingresado con exito.<br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				}
				muestraMensaje(texto);
		}
	}
}

/*form del ingreso de datos de la provincia*/
function ingresaDetProvincia(form)
{
	var opcion = "ingresaDetProvincia";
	var divCliente= document.getElementById("cliente");
	form = document.getElementById(form);
	var idProvincia = form.idProvincia.value;
	var imagen = form.imagen.value;
	var url = form.url.value;
	var tipoImg = form.tipoImg.value;
	var editor = tinyMCE.get('elm1').getContent();

	var ajax=nuevoAjax();
	ajax.open("POST",  urlDestino, true);
	ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	ajax.send("idProvincia="+idProvincia+"&imagen="+imagen+"&url="+url+"&form="+opcion+"&tipoImg="+tipoImg+"&editor="+editor);

	ajax.onreadystatechange=function()
	{

		if(ajax.readyState==4)
		{
		  if(ajax.responseText=="No")
		  {
			alert("Este codigo no existe");
		  }
		  else
		  {
			divCliente.innerHTML=ajax.responseText;
		  }
		}
	}
}



function ConsultarInformacionProvincia()
{
	//obtengo el div donde se va mostrar la informacin de los clientes
	var divCliente= document.getElementById("cliente");
	// se obtiene el  valor del inputRUC desde 0 caracteres o completos
	var inputProvincia= document.getElementById("inputProvincia");
	//Imagen que acta como un boton que al presionarlo nos consulta en la base de datos si se encuentra la informacin
	var boton=document.getElementById("consultar");
	var valor= inputProvincia.value;
	var eleccion= "consultarinformaprovincia";

	valor=eliminaEspacios(valor);
//alert(document.location.toString().charAt(17));
	//creo la instancia de AJAX
	var ajax= nuevoAjax();
	ajax.open("POST", "provincia_proceso.php", true);
	ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	ajax.send("provincia="+valor+"&eleccion="+eleccion);
	ajax.onreadystatechange=function()
	{
		if(ajax.readyState==4)
		{
		  if(ajax.responseText=="No")
		  {
			alert("Este codigo no existe");
		  }
		  else
		  {
			divCliente.innerHTML=ajax.responseText;
		  }
		}
	}


}

function WindowEliminarProvincia(valor)
{
	var confirmacion=window.confirm("Estas seguro de eliminar la provincia");
	if(confirmacion)
	{
//		document.location();
		window.open("provinciainformacion?eliminar=1&idProvincia="+valor,"_self");
	}
}

/*-----------------------------------------------------------*/
