// JavaScript Document// Variables para setear
//var valorruc;
onload=function()
{

	cAyuda=document.getElementById("mensajesAyuda");
	cNombre=document.getElementById("ayudaTitulo");
	cTex=document.getElementById("ayudaTexto");
	divTransparente=document.getElementById("transparencia");
	divMensaje=document.getElementById("transparenciaMensaje");
	form=document.getElementById("formulario");

	//valorruc= form.inputRUC.value;
	urlDestino="registrarinformacion_proceso.php";

	claseNormal="input";
	claseError="inputError";

	ayuda=new Array();
	ayuda["RUC"]="Ingresa el RUC de 13 caracteres. OBLIGATORIO";
	ayuda["RazonSocial"]="Ingresa de 4 a 40 caracteres. OBLIGATORIO";
	ayuda["Usuario"]="Ingresa de 5 a 10 caracteres.";
	ayuda["Contrasena"]="Ingresa de 5 a 10 caracteres.";
	ayuda["Cedula"]="Ingresa la cedula de 10 caracteres.";
	ayuda["Correo"]="Ingresa un e-mail vlido. OBLIGATORIO";
	ayuda["Direccion"]="Ingresa la direccin. De 4 a 50 caracteres. OBLIGATORIO";
	ayuda["Telefono"]="Ingresa el telfono de contacto. De 9 caracteres. OBLIGATORIO";
	ayuda["Comentario"]="Ingresa tus comentarios. De 5 a 500 caracteres.";
	ayuda["Descripcion"]="Ingresa tus comentarios. De 5 a 500 caracteres. OBLIGATORIO";
	ayuda["Precio"]="Ingresa el precio. De 2 a 30 caracteres. OBLIGATORIO";
	ayuda["Cargo"]="Ingresa el cargo profesional del cliente. De 4 a 30 caracteres. OBLIGATORIO";
	ayuda["Extension"]="Ingresa el numero de extension. De 1 a 5 caracteres.";
	preCarga("imagenes/ok.gif", "imagenes/loading.gif", "imagenes/error.gif");
}
/*
MODULO:
FUNCION: 
DESCRIPCION: 
*/

function preCarga()
{
	imagenes=new Array();
	for(i=0; i<arguments.length; i++)
	{
		imagenes[i]=document.createElement("img");
		imagenes[i].src=arguments[i];
	}
}
/*
MODULO:
FUNCION: nuevoAjax()
DESCRIPCION: crea una nueva instancia de ajax
*/
function nuevoAjax()
{
	var xmlhttp=false;
	try
	{
		// No IE
		xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
	}
	catch(e)
	{
		try
		{
			// IE
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		catch(E) { xmlhttp=false; }
	}
	if (!xmlhttp && typeof XMLHttpRequest!="undefined") { xmlhttp=new XMLHttpRequest(); }
	return xmlhttp;
}
/*
MODULO:
FUNCION: limpiaForm(n)
DESCRIPCION: limpia los campos que se setearon en rojo
*/
function limpiaForm(n)
{
	for(i=0; i<=n; i++)
	{
		form.elements[i].className=claseNormal;
	}
	document.getElementById("inputComentario").className=claseNormal;
}
/*
MODULO:
FUNCION: campoError(campo)
DESCRIPCION: setea la variable error=1 para presentar error en el envio de datos.
*/
function campoError(campo)
{
	campo.className=claseError;
	error=1;
}
/*
MODULO:
FUNCION: ocultaMensaje()
DESCRIPCION: oculta mensaje de los caracteres permitidos en un input
*/
function ocultaMensaje()
{
	divTransparente.style.display="none";
}
/*
MODULO:
FUNCION: muestraMensaje(mensaje)
DESCRIPCION: muestra los mensaje de cargar datos
*/
function muestraMensaje(mensaje)
{
	divMensaje.innerHTML=mensaje;
	divTransparente.style.display="block";
}
/*
MODULO:
FUNCION: eliminaEspacios(cadena)
DESCRIPCION: Elimina espacios en un cadena
*/
function eliminaEspacios(cadena)
{
	// Funcion para eliminar espacios delante y detras de cada cadena
	while(cadena.charAt(cadena.length-1)==" ") cadena=cadena.substr(0, cadena.length-1);
	while(cadena.charAt(0)==" ") cadena=cadena.substr(1, cadena.length-1);
	return cadena;
}
/*
MODULO:
FUNCION: validaLongitud(valor, permiteVacio, minimo, maximo)
DESCRIPCION: valida la longitud de un input maximo y minimo y si permite vacios en el input
*/
function validaLongitud(valor, permiteVacio, minimo, maximo)
{
	var cantCar=valor.length;
	if(valor=="")
	{
		if(permiteVacio) return true;
		else return false;
	}
	else
	{
		if(cantCar>=minimo && cantCar<=maximo) return true;
		else return false;
	}
}
/*
MODULO:
FUNCION: validaCorreo(valor)
DESCRIPCION: valida que tenga el formato de un correo
*/
function validaCorreo(valor)
{
	var reg=/(^[a-zA-Z0-9._-]{1,30})@([a-zA-Z0-9.-]{1,30}$)/;
	if(reg.test(valor)) return true;
	else return false;
}
/*
MODULO:
FUNCION:  validaIngresoNumero(valor)
DESCRIPCION:  valida ingreso de numero del parametro enviado 
*/
function validaIngresoNumero(valor)
{
	var reg=/(^[0-9]{0,30}$)/;
	if(reg.test(valor)) return true;
	else return false;
}
/*
MODULO:
FUNCION:  validaIngresoFecha(valor)
DESCRIPCION:  valida ingreso de fecha del parametro enviado 
*/
function validaIngresoFecha(valor)
{
	// Funcion utilizada para validar el dato a ingresado en un campo de Fecha
    //var reg = /(^[[:digit:]]{1,2}[[:space:]]+[[:alnum:]]{3}[[:space:]]+[[:digit:]]{4}$)/;
	var reg=/(^\d{1,2}\s+\w{3}\s+\d{4}$)/;;//\d{3}
    if ( reg.test(valor) ) return true;
	else return false;
}

/*
MODULO: CLIENTE
FUNCION: CAC_validaFormCliente(eleccion)
DESCRIPCION: Funcion para validar el registro de un nuevo Cliente o modificar los datos.
PARAMETRO: eleccion = 'registrar' o 'modificar'
*/
function CAC_validaFormCliente(eleccion)
{
	limpiaForm(9);
	error=0;
    var enviardatos=1; // esta bandera es utilizada para confirmar si se desea modificar o no.
    var cadena_ajax="";
	var forma="formcliente";

//Modificacion de la cadena de ajax de acuerdo a la accion a realizar
	if(eleccion=="registrar")
	{
		var cedula=eliminaEspacios(form.inputCedula.value);
		if(!validaLongitud(cedula, 0, 10, 10) || !validaIngresoNumero(cedula)) campoError(form.inputCedula);
			}
	else
	{
		cedula=form.inputCedula.value;
			}

	var nombre=eliminaEspacios(form.inputNombre.value);
	var apellido=eliminaEspacios(form.inputApellido.value);
	var correo=eliminaEspacios(form.inputCorreo.value);
	var direccion=eliminaEspacios(form.inputDireccion.value);
	var telefono=eliminaEspacios(form.inputTelefono.value);
	var celular=eliminaEspacios(form.inputCelular.value);
	var extension=eliminaEspacios(form.inputExtension.value);
	var cargo=eliminaEspacios(form.inputCargo.value);
	var comentarios=eliminaEspacios(form.inputComentario.value);


	if(!validaLongitud(nombre, 0, 4, 40)) campoError(form.inputNombre);
	if(!validaLongitud(apellido, 0, 4, 40)) campoError(form.inputApellido);
	if(!validaCorreo(correo)) campoError(form.inputCorreo);
	if(!validaLongitud(direccion,0,4,50)) campoError(form.inputDireccion);
	if(!validaLongitud(telefono, 0, 9, 9) || !validaIngresoNumero(telefono)) campoError(form.inputTelefono);
	if(!validaLongitud(celular, 1, 9, 9) || !validaIngresoNumero(celular)) campoError(form.inputCelular);
  	if(!validaLongitud(extension,1,1,5)  || !validaIngresoNumero(extension)) campoError(form.inputExtension);
  	if(!validaLongitud(cargo,0,5,40)) campoError(form.inputCargo);
	if(!validaLongitud(comentarios, 1, 5, 250)) campoError(form.inputComentario);

	if(error==1)
	{
		//var texto="<img src='imagenes/error.gif' alt='Error'><br><br>Error: revise los campos en rojo.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
		//muestraMensaje(texto);
		alert("Error: revise los campor en rojos.");
	}
	else
	{
		//if(eleccion=="registrar") enviardatos=1;
		if(eleccion=="modificar")
		{
			var confirmacion=window.confirm("Esta seguro que desea modificar el cliente:"+cedula);
			if(!confirmacion) enviardatos=0;
		}
		if(enviardatos==1){
		//var texto="<img src='imagenes/loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ocultar</button>";
		//muestraMensaje(texto);

		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");

		ajax.send("cedula="+cedula+"&nombre="+nombre+"&apellido="+apellido+"&correo="+correo+"&direccion="+direccion+"&telefono="+telefono+"&extension="+extension+"&celular="+celular+"&cargo="+cargo+"&comentarios="+comentarios+"&eleccion="+eleccion+"&forma="+forma);//aqui tengo que enviar la variable de administrador

		ajax.onreadystatechange=function()
		{
			if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;
				
				if(respuesta=="Exito")
				{ //habia un alt='Ok' dentro del img como parametro
					//var texto="<img src='imagenes/ok.gif'><br>El cliente ha sido ingresado con exito.<br>Le responderemos a la brevedad.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					//alert("El cliente ha sido registrado con exito");
					document.location='informaciongeneralcliente.php';
				}
				if(respuesta=="Error")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Error: intente ms tarde.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Error: intente ms tarde.");
				}
				if(respuesta=="Ya existe")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Ya existe este cliente en la base de datos.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Ya existe este cliente en la base de datos.");
				}

				if(respuesta=="Modificado")
				{
					// aqui tengo que confirmar que deseo hacer las modificaciones y si el usuario dice ok modificar
					//var texto="<img src='imagenes/ok.gif'><br>El cliente ha sido modificado con exito.<br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					//alert("El cliente ha sido modificado con exito.");
					document.location='informaciongeneralcliente.php';
				}
				//muestraMensaje(texto);
			}
		}
		}
	}
}
/*
MODULO: NEGOCIO
FUNCION: CAN_validaFormNegocio(eleccion,cedula)
PARAMETRO: eleccion = 'registrar' o 'modificar'
DESCRIPCION: Funcion para validar el registro de un nuevo Negocio o modificar los datos.
*/
/*Funcion para validar el registro de un nuevo negocio para el cliente */
function CAN_validaFormNegocio(eleccion,cedula)//cedula
{
	limpiaForm(7);
	error=0;
	var enviardatos=1;
	//var urlDestino="registrarinformacion_proceso.php";
	var forma="formnegocio";
	if(eleccion=='registrar') var cedula=form.cedula.value;
	var idtipo=form.tiponegocio.options[form.tiponegocio.selectedIndex].value;
	var ruc=eliminaEspacios(form.inputRUC.value);
	var razonsocial=eliminaEspacios(form.inputRazonSocial.value);
	var idpais=form.paises.options[form.paises.selectedIndex].value;
	var idprovincia=form.estados.options[form.estados.selectedIndex].value;
	var idcanton=form.cantones.options[form.cantones.selectedIndex].value;
	var direccion=eliminaEspacios(form.inputDireccion.value);
	var telefono=eliminaEspacios(form.inputTelefono.value);
	var extension=eliminaEspacios(form.inputExtension.value);
	//var contacto=eliminaEspacios(form.inputContacto.value);
	var comentarios=eliminaEspacios(form.inputComentario.value);
	
	if(idtipo==0) campoError(form.tiponegocio);
	if(idpais==0) campoError(form.paises);
	if(idprovincia==0) campoError(form.estados);
	if(idcanton==0) campoError(form.cantones);
	if(eleccion=='registrar'){ if(cedula==0) campoError(form.cedula);}
	if(!validaLongitud(ruc,0,13,13) || !validaIngresoNumero(ruc)) campoError(form.inputRUC);
	if(!validaLongitud(razonsocial,0,5,50)) campoError(form.inputRazonSocial);
	if(!validaLongitud(direccion,0,4,50)) campoError(form.inputDireccion);
	if(!validaLongitud(telefono, 0, 9, 9) || !validaIngresoNumero(telefono)) campoError(form.inputTelefono);
  	if(!validaLongitud(extension,1,2,5)  || !validaIngresoNumero(extension)) campoError(form.inputExtension);
  	//if(!validaLongitud(contacto,0,5,40)) campoError(form.inputContacto);
	if(!validaLongitud(comentarios, 0, 3, 250)) campoError(form.inputComentario);
	
	
	if(error==1)
	{
		//var texto="<img src='imagenes/error.gif' alt='Error'><br><br>Error: revise los campos en rojo.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
		//muestraMensaje(texto);
		alert("Error: revise los campor en rojos.");
	}
	else
	{
		//if(eleccion=="registrar") enviardatos=1;
		if(eleccion=="modificar")
		{
			var idnegocio=form.inputCodigo.value;
			var confirmacion=window.confirm("Esta seguro que desea modificar negocio del cliente:"+ruc);
			if(!confirmacion) enviardatos=0;
		}
		if(enviardatos==1){
		//var texto="<img src='imagenes/loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button class='botones'onClick='ocultaMensaje()' type='button'>Ocultar</button>";
		//muestraMensaje(texto);

		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		if(eleccion=="registrar")
		{
			ajax.send("idtipo="+idtipo+"&ruc="+ruc+"&razonsocial="+razonsocial+"&idpais="+idpais+"&idprovincia="+idprovincia+"&idcanton="+idcanton+"&direccion="+direccion+"&telefono="+telefono+"&extension="+extension+"&cedula="+cedula+"&comentarios="+comentarios+"&eleccion="+eleccion+"&forma="+forma);//+"&contacto="+contacto
		}
		else{
			ajax.send("idtipo="+idtipo+"&ruc="+ruc+"&razonsocial="+razonsocial+"&idpais="+idpais+"&idprovincia="+idprovincia+"&idcanton="+idcanton+"&direccion=" +direccion+"&telefono="+telefono+"&extension="+extension+"&cedula="+cedula+"&comentarios="+comentarios+"&eleccion="+eleccion+"&forma="+forma+"&idnegocio="+idnegocio);//+"&contacto="+contacto
		}
		
		ajax.onreadystatechange=function()
		{
			if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;
				if(respuesta=="Exito")
				{ //habia un alt='Ok' dentro del img como parametro
					//var texto="<img src='imagenes/ok.gif'><br>El negocio ha sido ingresado con exito.<br>Le responderemos a la brevedad.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					document.location='informacionnegocioxcliente.php';
				}
				if(respuesta=="Error")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Error: intente ms tarde.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Error: intente ms tarde.");
				}
				if(respuesta=="Ya existe")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Ya existe este RUC en la base de datos. Ingrese correctamente el nmero de RUC<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Ya existe este RUC en la base de datos.");
				}

				if(respuesta=="Modificado")
				{
					// aqui tengo que confirmar que deseo hacer las modificaciones y si el usuario dice ok modificar
					//var texto="<img src='imagenes/ok.gif'><br>El cliente ha sido modificado con exito.<br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					document.location='informacionnegocioxcliente.php';
				}
				//muestraMensaje(texto);
			}
		}
		}
	}
	
	
}
/*
MODULO: SITIO
FUNCION: CAS_validaFormSitio(eleccion)
DESCRIPCION: Funcion para validar el registro de un nuevo Sitio o modificar los datos.
PARAMETRO: eleccion = 'registrar' o 'modificar'
*/
function CAS_validaFormSitio(eleccion)
{
	limpiaForm(3);
	error=0;
	var enviardatos=1;
	var urlDestino="registrarinformacion_proceso.php";
	var forma="formsitio";
	
	var idtipo=form.tiponegocio.options[form.tiponegocio.selectedIndex].value;
	//var ruc=eliminaEspacios(form.inputRUC.value);
	var razonsocial=eliminaEspacios(form.inputRazonSocial.value);
	var idpais=form.paises.options[form.paises.selectedIndex].value;
	var idprovincia=form.estados.options[form.estados.selectedIndex].value;
	var idcanton=form.cantones.options[form.cantones.selectedIndex].value;
	var direccion=eliminaEspacios(form.inputDireccion.value);
	//var telefono=eliminaEspacios(form.inputTelefono.value);
	//var extension=eliminaEspacios(form.inputExtension.value);
	//var contacto=eliminaEspacios(form.inputContacto.value);
	var comentarios=eliminaEspacios(form.inputComentario.value);
	
	if(idtipo==0) campoError(form.tiponegocio);
	if(idpais==0) campoError(form.paises);
	if(idprovincia==0) campoError(form.estados);
	if(idcanton==0) campoError(form.cantones);
	//if(!validaLongitud(ruc,0,13,13) || !validaIngresoNumero(ruc)) campoError(form.inputRUC);
	if(!validaLongitud(razonsocial,0,5,50)) campoError(form.inputRazonSocial);
	if(!validaLongitud(direccion,0,4,50)) campoError(form.inputDireccion);
	//if(!validaLongitud(telefono, 0, 9, 9) || !validaIngresoNumero(telefono)) campoError(form.inputTelefono);
  	//if(!validaLongitud(extension,1,2,5)  || !validaIngresoNumero(extension)) campoError(form.inputExtension);
  	//if(!validaLongitud(contacto,0,5,40)) campoError(form.inputContacto);
	if(!validaLongitud(comentarios, 0, 3, 250)) campoError(form.inputComentario);
	
	
	if(error==1)
	{
		//var texto="<img src='imagenes/error.gif' alt='Error'><br><br>Error: revise los campos en rojo.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
		//muestraMensaje(texto);
		alert("Error: revise los campor en rojos.");
	}
	else
	{
		//if(eleccion=="registrar") enviardatos=1;
		if(eleccion=="modificar")
		{
			var idnegocio=form.inputCodigo.value;
			var confirmacion=window.confirm("Esta seguro que desea modificar el sitio:"+razonsocial);
			if(!confirmacion) enviardatos=0;
		}
		if(enviardatos==1){
		//var texto="<img src='imagenes/loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ocultar</button>";
		//muestraMensaje(texto);

		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		if(eleccion=="registrar")
		{
			ajax.send("idtipo="+idtipo+"&razonsocial="+razonsocial+"&idpais="+idpais+"&idprovincia="+idprovincia+"&idcanton="+idcanton+"&direccion="+direccion+"&comentarios="+comentarios+"&eleccion="+eleccion+"&forma="+forma);//aqui tengo que enviar la variable de administrador???? // hay que agragar el idcanton
		}
		else{
			ajax.send("idtipo="+idtipo+"&razonsocial="+razonsocial+"&idpais="+idpais+"&idprovincia="+idprovincia+"&idcanton="+idcanton+"&direccion=" +direccion+"&comentarios="+comentarios+"&eleccion="+eleccion+"&forma="+forma+"&idnegocio="+idnegocio);//aqui tengo que enviar la variable de administrador???? // hay que agragar el idcanton
		}
		
		ajax.onreadystatechange=function()
		{
			if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;
				
				
				if(respuesta=="Exito")
				{ //habia un alt='Ok' dentro del img como parametro
					//var texto="<img src='imagenes/ok.gif'><br>El sitio ha sido ingresado con exito.<br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					document.location='informaciongeneralsitio.php';
				}
				if(respuesta=="Error")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Error: intente ms tarde.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Error: intente ms tarde.");
				}
				if(respuesta=="Ya existe")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Ya existe este Sitio en la base de datos. Ingrese correctamente el nmero de RUC<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Ya existe el Sitio en la base de datos.");
				}

				if(respuesta=="Modificado")
				{
					// aqui tengo que confirmar que deseo hacer las modificaciones y si el usuario dice ok modificar
					//var texto="<img src='imagenes/ok.gif'><br>El sitio ha sido modificado con exito.<br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					document.location='informaciongeneralsitio.php';
				}

				//muestraMensaje(texto);
			}
		}
		}
	}
}
/*
MODULO: TIPO NEGOCIO 
FUNCION: CAT_validaFormTipo()
DESCRIPCION: Funcion para validar el registro de un nuevo TIPO DE NEGOCIO o modificar los datos.
PARAMETRO: eleccion = 'registrar' o 'modificar'
*/
/*modificado*/
function CAT_validaFormTipo(eleccion,contador,tipo){
	limpiaForm(2);
	error=0;
	var urlDestino="registrarinformacion_proceso.php";
	var forma="formtipo";
	var enviardatos=1;
	var seleccion=0;
	var nombre=eliminaEspacios(form.inputNombre.value);
	if(!validaLongitud(nombre,0,3,50)) campoError(form.inputNombre);
	alert(form.inputDescripcion[0].value);
	alert(form.inputDescripcion[1].value);

	for(var i=1; i<=contador;i++){
		if(form.inputDescripcion[i].checked){
			seleccion=1;
			if(form.inputDescripcion[i].value=='Otro'){
				var opcion=eliminaEspacios(form.inputComentario.value);
				if(!validaLongitud(opcion,0,5,50)) campoError(form.inputComentario);

			}else
				var opcion= form.inputDescripcion[i].value;
		}
	}
	if(seleccion==0) alert("Seleccione la descripcin");
		
	if(error==1)
	{
		//var texto="<img src='imagenes/error.gif' alt='Error'><br><br>Error: revise los campos en rojo.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
		//muestraMensaje(texto);
		alert("Error: revise los campor en rojos.");
	}
	else
	{
		if(eleccion=="modificar")
		{
			var idtipo=form.inputCodigo.value;
			var confirmacion=window.confirm("Esta seguro que desea modificar el sitio:"+nombre);
			if(!confirmacion) enviardatos=0;
		}
		if(enviardatos==1){
		//var texto="<img src='imagenes/loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ocultar</button>";
		//muestraMensaje(texto);

		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		if(eleccion=="registrar")
		{
			ajax.send("nombre="+nombre+"&descripcion="+opcion+"&tipo="+tipo+"&eleccion="+eleccion+"&forma="+forma);
		}
		else{
			ajax.send("nombre="+nombre+"&descripcion="+opcion+"&tipo="+tipo+"&eleccion="+eleccion+"&forma="+forma+"&idtipo="+idtipo);
		}
		//alert(tipo);
		ajax.onreadystatechange=function()
		{
			if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;
				//alert(respuesta);
				
				if(respuesta=="Exito")
				{ //habia un alt='Ok' dentro del img como parametro
					//var texto="<img src='imagenes/ok.gif'><br>El sitio ha sido ingresado con exito.<br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					document.location='informaciontipo'+eleccion+'.php';
					
				}
				if(respuesta=="Error")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Error: intente ms tarde.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Error: intente ms tarde.");
				}
				if(respuesta=="Ya existe")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Ya existe este Sitio en la base de datos. Ingrese correctamente el nmero de RUC<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Ya existe este Tipo en la base de datos.");
				}

				if(respuesta=="Modificado")
				{
					// aqui tengo que confirmar que deseo hacer las modificaciones y si el usuario dice ok modificar
					//var texto="<img src='imagenes/ok.gif'><br>El sitio ha sido modificado con exito.<br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					document.location='informaciontipo'+eleccion+'.php';
				}

				//muestraMensaje(texto);
			}
		}
		}
	} 

}
/*
MODULO: PROMOCION 
FUNCION: CAA_ConsultarPromocion(eleccion)
DESCRIPCION: Funcion para validar el registro de un nuevo admnistrador o modificar los datos de la promocion de un negocio  regisstrado
PARAMETRO: eleccion = 'registrar' o 'modificar'
*/
/*modificado*/
function CAP_validaFormPromocion(eleccion){
	limpiaForm(6);
	error=0;
	var enviardatos=1;
	var urlDestino="registrarinformacion_proceso.php";
	var forma="formpromocion";
	var idnegocio=form.negocio.options[form.negocio.selectedIndex].value;
	var nombre=eliminaEspacios(form.inputNombre.value);
	var costo=eliminaEspacios(form.inputCosto.value);
	var fechaDesde=eliminaEspacios(form.fecha1.value);
	var fechaHasta=eliminaEspacios(form.fecha2.value);


	var comentarios=eliminaEspacios(form.inputComentario.value);
	

	if(idnegocio==0) campoError(form.negocio);
	if(!validaLongitud(nombre,0,5,50)) campoError(form.inputNombre);
	if(!validaLongitud(costo,0,1,10)|| !validaIngresoNumero(costo)) campoError(form.inputCosto);//validar costo como double
	if(!validaIngresoFecha(fechaDesde)  || !validaLongitud(fechaDesde,0,6,30) ) campoError(form.fecha1);
	if(!validaIngresoFecha(fechaHasta)|| !validaLongitud(fechaHasta,0,6,30)) campoError(form.fecha2);
	if(!validaLongitud(comentarios, 0, 5, 250)) campoError(form.inputComentario);
	
	
	if(error==1)
	{
		//var texto="<img src='imagenes/error.gif' alt='Error'><br><br>Error: revise los campos en rojo.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
		//muestraMensaje(texto);
		alert("Error: revise los campor en rojos.");
	}
	else
	{
		if(eleccion=="modificar")
		{
			var idpromocion=form.inputCodigo.value;
			var confirmacion=window.confirm("Esta seguro que desea modificar el sitio:"+nombre);
			if(!confirmacion) enviardatos=0;
		}
		if(enviardatos==1){
		//var texto="<img src='imagenes/loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ocultar</button>";
		//muestraMensaje(texto);

		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		if(eleccion=="registrar")
		{
			ajax.send("idnegocio="+idnegocio+"&nombre="+nombre+"&costo="+costo+"&fechaDesde="+fechaDesde+"&fechaHasta="+fechaHasta+"&comentarios="+comentarios+"&eleccion="+eleccion+"&forma="+forma);//aqui tengo que enviar la variable de administrador???? // hay que agragar el idcanton
		}
		else{
			ajax.send("idnegocio="+idnegocio+"&nombre="+nombre+"&costo="+costo+"&fechaDesde="+fechaDesde+"&fechaHasta="+fechaHasta+"&comentarios="+comentarios+"&eleccion="+eleccion+"&forma="+forma+"&idpromocion="+idpromocion);//aqui tengo que enviar la variable de administrador???? // hay que agragar el idcanton
		}
		
		ajax.onreadystatechange=function()
		{
			if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;
				
				if(respuesta=="Exito")
				{ //habia un alt='Ok' dentro del img como parametro
					//var texto="<img src='imagenes/ok.gif'><br>El sitio ha sido ingresado con exito.<br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					document.location='informacionpromociones.php';
				}
				if(respuesta=="Error")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Error: intente ms tarde.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Error: intente ms tarde.");
				}
				if(respuesta=="Ya existe")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Ya existe este Sitio en la base de datos. Ingrese correctamente el nmero de RUC<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Ya existe esta promocin en la base de datos.");
				}

				if(respuesta=="Modificado")
				{
					// aqui tengo que confirmar que deseo hacer las modificaciones y si el usuario dice ok modificar
					//var texto="<img src='imagenes/ok.gif'><br>El sitio ha sido modificado con exito.<br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					document.location='informacionpromociones.php';
				}

				//muestraMensaje(texto);
			}
		}
		}
	} 
}

/*
MODULO: ADMINISTRADOR 
FUNCION: CAA_ConsultarAdministrador(eleccion)
DESCRIPCION: Funcion para validar el registro de un nuevo admnistrador o modificar los datos del administrador
PARAMETRO: eleccion = 'registrar' o 'modificar'
*/
function validaFormAdministrador(eleccion)
{
	limpiaForm(7);
	error=0;
	
	var enviardatos=1;
	var urlDestino="registraradministrador_proceso.php";
	var caso='registro';
	
	
	var cedula=eliminaEspacios(form.inputCedula.value);
	if(eleccion=="registrar")
	{
		var cedula=eliminaEspacios(form.inputCedula.value);
		var usuario=eliminaEspacios(form.inputUsuario.value);
		var contrasena=eliminaEspacios(form.inputContrasena.value);
		var confirmarcontrasena=eliminaEspacios(form.inputConfirmarContrasena.value);
		if(!validaLongitud(cedula,0,10,10) || !validaIngresoNumero(cedula)) campoError(form.inputCedula);
		if(!validaLongitud(usuario,0,5,10)) campoError(form.inputUsuario);
		if(!validaLongitud(contrasena,0,5,10)) campoError(form.inputContrasena);
		if(!validaLongitud(confirmarcontrasena,0,5,10)) campoError(form.inputConfirmarContrasena);
		if(contrasena!=confirmarcontrasena)
		{
			campoError(form.inputConfirmarContrasena);
			campoError(form.inputContrasena);
		}
	
	}
	else
	{
		cedula=form.inputCedula.value;

	}
	
	var nombre=eliminaEspacios(form.inputNombre.value);
	var apellido=eliminaEspacios(form.inputApellido.value);
	var correo=eliminaEspacios(form.inputCorreo.value);
	
	//recordar que este valor del estado es tynint en la base de datos....
//	var seleccion= getElementById(form.selectEstado);
	var estadoSeleccionado = form.selectEstado.options[form.selectEstado.selectedIndex].value;
	var comentarios=eliminaEspacios(form.inputComentario.value);
	
	
	if(!validaLongitud(nombre,0,3,35)) campoError(form.inputNombre);
	if(!validaLongitud(apellido,0,3,35)) campoError(form.inputApellido);
	if(!validaCorreo(correo)) campoError(form.inputCorreo);
	
	if(!validaLongitud(comentarios, 0, 5, 250)) campoError(form.inputComentario);
	
	
	if(error==1)
	{
		//var texto="<img src='imagenes/error.gif' alt='Error'><br><br>Error: revise los campos en rojo.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
		//muestraMensaje(texto);
		alert("Error: revise los campor en rojos.");
	}
	else
	{
		//if(eleccion=="registrar") enviardatos=1;
		if(eleccion=="modificar")
		{
			var confirmacion=window.confirm("Esta seguro que desea modificar el administrador:"+cedula);
			if(!confirmacion) enviardatos=0;
		}
		if(enviardatos==1){
		//var texto="<img src='imagenes/loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ocultar</button>";
		//muestraMensaje(texto);

		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");

		ajax.send("cedula="+cedula+"&nombre="+nombre+"&apellido="+apellido+"&correo="+correo+"&usuario="+usuario+"&contrasena="+contrasena+"&estado="+estadoSeleccionado+"&comentarios="+comentarios+"&eleccion="+eleccion+"&caso="+caso);//aqui tengo que enviar la variable de administrador

		ajax.onreadystatechange=function()
		{
			if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;
			
				if(respuesta=="Exito")
				{ //habia un alt='Ok' dentro del img como parametro
					//var texto="<img src='imagenes/ok.gif'><br>El administrador ha sido ingresado con exito.<br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					document.location='administrador_datos.php';
				}
				if(respuesta=="Error")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Error: intente ms tarde.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Error: intente ms tarde.");
				}
				if(respuesta=="Ya existe")
				{
					//var texto="<img src='imagenes/error.gif'><br><br>Ya existe este cliente en la base de datos.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					alert("Ya existe este administrador en la base de datos.");
				}

				if(respuesta=="Modificado")
				{
					// aqui tengo que confirmar que deseo hacer las modificaciones y si el usuario dice ok modificar
					//var texto="<img src='imagenes/ok.gif'><br>El cliente ha sido modificado con exito.<br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
					document.location='administrador_datos.php';
				}
				
				//muestraMensaje(texto);
			}
		}
		}
	}
	
}

function CambiarUsuario(cedula){
	limpiaForm(5);
	error=0;
	
	var enviardatos=1;
	var urlDestino="registraradministrador_proceso.php";
	var caso='cambiar_usuario';
	
	var usuario=eliminaEspacios(form.inputUsuario.value);	
	var contrasena=eliminaEspacios(form.inputContrasena.value);
	
	var usuarioN=eliminaEspacios(form.inputUsuarioN.value);
	var contrasenaN=eliminaEspacios(form.inputContrasenaN.value);
	var confirmarcontrasenaN=eliminaEspacios(form.inputConfirmarContrasenaN.value);

	if(!validaLongitud(usuario,0,5,10)) campoError(form.inputUsuario);
	if(!validaLongitud(contrasena,0,5,10)) campoError(form.inputContrasena);
	if(!validaLongitud(usuarioN,0,5,10)) campoError(form.inputUsuarioN);
	if(!validaLongitud(contrasenaN,0,5,10)) campoError(form.inputContrasenaN);
	if(!validaLongitud(confirmarcontrasenaN,0,5,10)) campoError(form.inputConfirmarContrasenaN);
		if(contrasenaN!=confirmarcontrasenaN)
		{
			campoError(form.inputConfirmarContrasenaN);
			campoError(form.inputContrasenaN);
		}
	if(error==1)
	{
		//var texto="<img src='imagenes/error.gif' alt='Error'><br><br>Error: revise los campos en rojo.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ok</button>";
		//muestraMensaje(texto);
		alert("Error: revise los campos en rojos.");
	}
	else
	{
		//var texto="<img src='imagenes/loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button class='botones' onClick='ocultaMensaje()' type='button'>Ocultar</button>";
		//muestraMensaje(texto);

		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");

		ajax.send("cedula="+cedula+"&usuario="+usuario+"&usuarioN="+usuarioN+"&contrasena="+contrasena+"&contrasenaN="+contrasenaN+"&caso="+caso);//aqui tengo que enviar la variable de administrador

		ajax.onreadystatechange=function()
		{
			if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;

				if(respuesta=="OK"){
					document.location='administrador_datos.php';
				}
				else{
					alert(respuesta);
				}
			}
		
		}
	}
}

function validaCerrar()
{

		window.close();
}

/**********FUNCION PARA CONSULTAR SI EL CLIENTE YA EXISTE ********/
/*
MODULO:
FUNCION: 
DESCRIPCION: 
*/
function validaConsulta(){
	window.open("consultarcliente.php","consultarcliente","toolbar=no,directories=no,menubar=no,status=yes,width=350px,height=200px,scrollbars=yes");
}

/********************************** Mensajes de ayuda **********************************************/
/*
FUNCION: colocaAyuda(event),ocultaAyuda(), muestraAyuda(event, campo)
DESCRIPCION: Muestra los mensajes de ayudas en la pagina de registros de datos
*/
if(navigator.userAgent.indexOf("MSIE")>=0) navegador=0;
else navegador=1;

function colocaAyuda(event)
{
	if(navegador==0)
	{
		var corX=window.event.clientX+document.documentElement.scrollLeft;
		var corY=window.event.clientY+document.documentElement.scrollTop;
	}
	else
	{
		var corX=event.clientX+window.scrollX;
		var corY=event.clientY+window.scrollY;
	}
	cAyuda.style.top=corY+20+"px";
	cAyuda.style.left=corX+15+"px";
}

function ocultaAyuda()
{
	cAyuda.style.display="none";
	if(navegador==0)
	{
		document.detachEvent("onmousemove", colocaAyuda);
		document.detachEvent("onmouseout", ocultaAyuda);
	}
	else
	{
		document.removeEventListener("mousemove", colocaAyuda, true);
		document.removeEventListener("mouseout", ocultaAyuda, true);
	}
}

function muestraAyuda(event, campo)
{
	colocaAyuda(event);

	if(navegador==0)
	{
		document.attachEvent("onmousemove", colocaAyuda);
		document.attachEvent("onmouseout", ocultaAyuda);
	}
	else
	{
		document.addEventListener("mousemove", colocaAyuda, true);
		document.addEventListener("mouseout", ocultaAyuda, true);
	}

	cNombre.innerHTML=campo;
	cTex.innerHTML=ayuda[campo];
	cAyuda.style.display="block";
}
/********************************** Fin de funciones de Mensajes de ayuda **********************************************/


/*********************SELECT INDEPENDIENTES UTILIZADOS **********************/
/*
FUNCION: buscarEnArray(array, dato), cargaContenido(idSelectOrigen)
DESCRIPCION:Utilizado para pintar las selecciones de paises, provincia y cantn

*/
// Declaro los selects que componen el documento HTML. Su atributo ID debe figurar aqui.
var listadoSelects=new Array();
listadoSelects[0]="paises";
listadoSelects[1]="estados";
listadoSelects[2]="cantones";

function buscarEnArray(array, dato)
{
	// Retorna el indice de la posicion donde se encuentra el elemento en el array o null si no se encuentra
	var x=0;
	while(array[x])
	{
		if(array[x]==dato) return x;
		x++;
	}
	return null;
}

/*modificado*/
function cargaContenido(idSelectOrigen)
{
	var forma="ubicacion";/*modificado*/
	// Obtengo la posicion que ocupa el select que debe ser cargado en el array declarado mas arriba
	var posicionSelectDestino=buscarEnArray(listadoSelects, idSelectOrigen)+1;
	// Obtengo el select que el usuario modifico
	var selectOrigen=document.getElementById(idSelectOrigen);
	var opcionSeleccionada=selectOrigen.options[selectOrigen.selectedIndex].value;
	// Si el usuario eligio la opcion "Elige", no voy al servidor y pongo los selects siguientes en estado "Selecciona opcion..."
	if(opcionSeleccionada==0)
	{
		var x=posicionSelectDestino, selectActual=null;
		// Busco todos los selects siguientes al que inicio el evento onChange y les cambio el estado y deshabilito
		while(listadoSelects[x])
		{
			selectActual=document.getElementById(listadoSelects[x]);
			selectActual.length=0;
			
			
			var nuevaOpcion=document.createElement("option"); nuevaOpcion.value=0; nuevaOpcion.innerHTML="Selecciona Opci&oacute;n...";
			selectActual.appendChild(nuevaOpcion);	selectActual.disabled=true;
			x++;
		}
	}
	// Compruebo que el select modificado no sea el ultimo de la cadena
	else if(idSelectOrigen!=listadoSelects[listadoSelects.length-1])
	{
		// Obtengo el elemento del select que debo cargar
		var idSelectDestino=listadoSelects[posicionSelectDestino];
		var selectDestino=document.getElementById(idSelectDestino);
		// Creo el nuevo objeto AJAX y envio al servidor el ID del select a cargar y la opcion seleccionada del select origen
		var ajax=nuevoAjax();
		ajax.open("GET", "../Administrador/select_dependientes_proceso.php?select="+idSelectDestino+"&opcion="+opcionSeleccionada+"&forma="+forma, true);
		ajax.onreadystatechange=function() 
		{ 
			if (ajax.readyState==1)
			{
				// Mientras carga elimino la opcion "Selecciona Opcion..." y pongo una que dice "Cargando..."
				selectDestino.length=0;
				var nuevaOpcion=document.createElement("option"); nuevaOpcion.value=0; nuevaOpcion.innerHTML="Cargando...";
				selectDestino.appendChild(nuevaOpcion); selectDestino.disabled=true;	
			}
			if (ajax.readyState==4)
			{
				selectDestino.parentNode.innerHTML=ajax.responseText;
			} 
		}
		ajax.send(null);
	}
}
/*************************************************************************************************************************/

/*
FUNCION: cargaContenidoNegocio()
DESCRIPCION: Es utlizada en la pagina de promociones y cargar el select de Negocios al escojer un tipo de negocio
*/
function cargaContenidoNegocio()
{	
	var forma="seleccion_negocio";
	var divNegocio= document.getElementById('divnegocio');
	var seleccion= document.getElementById('tiponegocio'); 
	var option= seleccion.options[seleccion.selectedIndex].value;
	if(option==0)
	{
		var selectActual=null;
			selectActual=document.getElementById('negocio');
			selectActual.length=0;
			
			var nuevaOpcion=document.createElement("option"); nuevaOpcion.value=0; nuevaOpcion.innerHTML="Selecciona Opci&oacute;n...";
			selectActual.appendChild(nuevaOpcion);	selectActual.disabled=true;
			
	}
	else{
		var idSelectDestino='negocio';
		var selectDestino=document.getElementById('negocio');
		var ajax=nuevoAjax();
		ajax.open("GET", "select_dependientes_proceso.php?select="+idSelectDestino+"&opcion="+option+"&forma="+forma, true);
		ajax.onreadystatechange=function() 
		{ 
			if (ajax.readyState==1)
			{
				// Mientras carga elimino la opcion "Selecciona Opcion..." y pongo una que dice "Cargando..."
				selectDestino.length=0;
				var nuevaOpcion=document.createElement("option"); nuevaOpcion.value=0; nuevaOpcion.innerHTML="Cargando...";
				selectDestino.appendChild(nuevaOpcion); selectDestino.disabled=true;	
			}
			if (ajax.readyState==4)
			{
				
				selectDestino.parentNode.innerHTML=ajax.responseText;
			} 
		}
		ajax.send(null);
		
	}

}