// JavaScript Document// Variables para setear
//var valorruc;
onload=function()
{

	cAyuda=document.getElementById("mensajesAyuda");
	cNombre=document.getElementById("ayudaTitulo");
	cTex=document.getElementById("ayudaTexto");
	divTransparente=document.getElementById("transparencia");
	divMensaje=document.getElementById("transparenciaMensaje");
	form=document.getElementById("formulario");

	//valorruc= form.inputRUC.value;
	urlDestino="modulos/registrar_proceso.php";//registrese.php";

	claseNormal="input";
	claseError="inputError";

	ayuda=new Array();
	ayuda["RUC"]="Ingresa el RUC de 13 caracteres. OBLIGATORIO";
	ayuda["RazonSocial"]="Ingresa tu Razon Social. De 4 a 40 caracteres. OBLIGATORIO";
	ayuda["Cedula"]="Ingresa la cedula de 10 caracteres.";
	ayuda["Correo"]="Ingresa un e-mail vlido. OBLIGATORIO";
	ayuda["Direccion"]="Ingresa la direccin. De 4 a 50 caracteres. OBLIGATORIO";
	ayuda["Telefono"]="Ingresa el telfono de contacto. De 10 caracteres. OBLIGATORIO";
	ayuda["Usuario"]="Ingresa el usuario de contacto. De 10 caracteres. OBLIGATORIO";

	preCarga("imagenes/ok.gif", "imagenes/loading.gif", "imagenes/error.gif");
}

function preCarga()
{
	imagenes=new Array();
	for(i=0; i<arguments.length; i++)
	{
		imagenes[i]=document.createElement("img");
		imagenes[i].src=arguments[i];
	}
}

function nuevoAjax()
{
	var xmlhttp=false;
	try
	{
		// No IE
		xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
	}
	catch(e)
	{
		try
		{
			// IE
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		catch(E) { xmlhttp=false; }
	}
	if (!xmlhttp && typeof XMLHttpRequest!="undefined") { xmlhttp=new XMLHttpRequest(); }

	return xmlhttp;
}

function limpiaForm(n)
{
	for(i=0; i<=n; i++)
	{
		form.elements[i].className=claseNormal;
	}

}

function campoError(campo)
{
	campo.className=claseError;
	error=1;
}

function ocultaMensaje()
{
	divTransparente.style.display="none";
}

function muestraMensaje(mensaje)
{
	divMensaje.innerHTML=mensaje;
	divTransparente.style.display="block";
}

function eliminaEspacios(cadena)
{
	// Funcion para eliminar espacios delante y detras de cada cadena
	while(cadena.charAt(cadena.length-1)==" ") cadena=cadena.substr(0, cadena.length-1);
	while(cadena.charAt(0)==" ") cadena=cadena.substr(1, cadena.length-1);
	return cadena;
}

function validaLongitud(valor, permiteVacio, minimo, maximo)
{
	var cantCar=valor.length;
	if(valor=="")
	{
		if(permiteVacio) return true;
		else return false;
	}
	else
	{
		if(cantCar>=minimo && cantCar<=maximo) return true;
		else return false;
	}
}

function validaCorreo(valor)
{
	var reg=/(^[a-zA-Z0-9._-]{1,30})@([a-zA-Z0-9.-]{1,30}$)/;
	if(reg.test(valor)) return true;
	else return false;
}

function validaIngresoNumero(valor)
{
	var reg=/(^[0-9]{0,30}$)/;
	if(reg.test(valor)) return true;
	else return false;
}

function validaForm(eleccion)
{
	limpiaForm(6);
	error=0;
    var enviardatos=1; // esta bandera es utilizada para confirmar si se desea modificar o no.
    var cadena_ajax="";
	var forma="formcliente";

//cadena original del ajax.send("ruc="+ruc+"&razonsocial="+razonsocial+"&cedula="+cedula+"&correo="+correo+"&direccion=" +direccion+"&telefono="+telefono+"&comentarios="+comentarios+"&eleccion="+eleccion+"&valor="+valorruc);
//Modificacion de la cadena de ajax de acuerdo a la accion a realizar

	var nombre=eliminaEspacios(form.inputNombre.value);
	var apellido=eliminaEspacios(form.inputApellido.value);
    var user=eliminaEspacios(form.user.value);
	var correo=eliminaEspacios(form.inputCorreo.value);
	var password=eliminaEspacios(form.pwd.value);
	var re_pass=eliminaEspacios(form.re_pwd.value);
	var direccion=eliminaEspacios(form.inputDireccion.value);
	var telefono=eliminaEspacios(form.inputTelefono.value);
	var celular=eliminaEspacios(form.inputExtension.value);
	var paises=eliminaEspacios(form.paises.value);
	var estados=eliminaEspacios(form.estados.value);


	if(!validaLongitud(nombre, 0, 4, 40)) campoError(form.inputNombre);
	if(!validaLongitud(apellido, 0, 4, 40)) campoError(form.inputApellido);
	if(!validaLongitud(user, 0, 4, 40)) campoError(form.user);
	if(!validaCorreo(correo)) campoError(form.inputCorreo);
	if(!validaLongitud(direccion,0,4,50)) campoError(form.inputDireccion);
	if(!validaLongitud(celular, 0, 9, 10) || !validaIngresoNumero(celular)) campoError(form.inputExtension);
	if(!validaLongitud(telefono, 0, 6, 10) || !validaIngresoNumero(telefono)) campoError(form.inputTelefono);

    valor(password, re_pass);

	if(error==1)
	{
		var texto="<img src='imagenes/error.gif' alt='Error'><br><br>Por favor revise los campos en rojo.<br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
		muestraMensaje(texto);
	}
	else
	{
		//if(eleccion=="registrar") enviardatos=1;
		if(eleccion=="modificar")
		{
			var confirmacion=window.confirm("Esta seguro que desea modificar el cliente:"+cedula);
			if(!confirmacion) enviardatos=0;
		}
		if(enviardatos==1){
		var texto="<img src='imagenes/loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button style='width:60px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ocultar</button>";
		muestraMensaje(texto);

		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");

		ajax.send("&nombre="+nombre+"&apellido="+apellido+"&user="+user+"&correo="+correo+"&password="+password+"&re_pass="+re_pass+"&direccion=" +direccion+"&telefono="+telefono+"&celular="+celular+"&paises="+paises+"&estados="+estados+"&eleccion="+eleccion+"&forma="+forma);//aqui tengo que enviar la variable de administrador

		ajax.onreadystatechange=function()
		{
			if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;

				if(respuesta=="Exito")
				{ //habia un alt='Ok' dentro del img como parametro
					var texto="<img src='imagenes/ok.gif'><br>El cliente ha sido ingresado con exito.<br>Le responderemos a la brevedad.<br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				}
				else if(respuesta=="Error")
				{
					var texto="<img src='imagenes/error.gif'><br><br>Error: intente ms tarde.<br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				}
				else if(respuesta=="Ya existe")
				{
					var texto="<img src='imagenes/error.gif'><br><br>Ya existe este cliente en la base de datos.<br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				}

				else if(respuesta=="Modificado")
				{
					// aqui tengo que confirmar que deseo hacer las modificaciones y si el usuario dice ok modificar
					var texto="<img src='imagenes/ok.gif'><br>El cliente ha sido modificado con exito.<br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				}
				else if(respuesta=="ExisteUser")
                {
                    var texto="<img src='imagenes/ok.gif'><br>Este usuario ya est siendo utilizado, por favor elija otro.<br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
                }
				else if(respuesta=="InsertInsert")
                {
                    var texto="<img src='imagenes/ok.gif'><br>El usuario ha sido creado con exito.<br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
                }

                else
                {
                    var texto="<img src='imagenes/ok.gif'><br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje();limpiaForm(6);' type='button'>Ok</button>";
                }
				muestraMensaje(texto);
			}
		}
		}
	}
}
  function valor(password, re_pass){
/*alert(document.getElementById("re_pwd").value);*/
    errores = 0;
    var enviardatos=1;
    if((document.getElementById("pwd").value != document.getElementById("re_pwd").value) || (document.getElementById("pwd").value =='' || document.getElementById("re_pwd").value=='')){
      errores = 1;
      campoError(document.getElementById("pwd"));
      campoError(document.getElementById("re_pwd"));
    }

  	if(errores==1)
	{
		password.className=claseError;
    	re_pass.className=claseError;
		return true;
	}
	else return false;
  }



function validaCerrar()
{

		window.close();
}

/**********FUNCION PARA CONSULTAR SI EL CLIENTE YA EXISTE ********/

function validaConsulta(){
	window.open("consultarcliente.php","consultarcliente","toolbar=no,directories=no,menubar=no,status=yes,width=350px,height=200px,scrollbars=yes");
}

// Mensajes de ayuda

if(navigator.userAgent.indexOf("MSIE")>=0) navegador=0;
else navegador=1;

function colocaAyuda(event)
{
	if(navegador==0)
	{
		var corX=window.event.clientX+document.documentElement.scrollLeft;
		var corY=window.event.clientY+document.documentElement.scrollTop;
	}
	else
	{
		var corX=event.clientX+window.scrollX;
		var corY=event.clientY+window.scrollY;
	}
	cAyuda.style.top=corY+20+"px";
	cAyuda.style.left=corX+15+"px";
}

function ocultaAyuda()
{
	cAyuda.style.display="none";
	if(navegador==0)
	{
		document.detachEvent("onmousemove", colocaAyuda);
		document.detachEvent("onmouseout", ocultaAyuda);
	}
	else
	{
		document.removeEventListener("mousemove", colocaAyuda, true);
		document.removeEventListener("mouseout", ocultaAyuda, true);
	}
}

function muestraAyuda(event, campo)
{
	colocaAyuda(event);

	if(navegador==0)
	{
		document.attachEvent("onmousemove", colocaAyuda);
		document.attachEvent("onmouseout", ocultaAyuda);
	}
	else
	{
		document.addEventListener("mousemove", colocaAyuda, true);
		document.addEventListener("mouseout", ocultaAyuda, true);
	}

	cNombre.innerHTML=campo;
	cTex.innerHTML=ayuda[campo];
	cAyuda.style.display="block";
}



/*******************************************/
/* Funcion para pintar las selecciones de paises, provincia y cantn
 *
 *
*/
// Declaro los selects que componen el documento HTML. Su atributo ID debe figurar aqui.
var listadoSelects=new Array();
listadoSelects[0]="paises";
listadoSelects[1]="estados";
//listadoSelects[2]="cantones";

function buscarEnArray(array, dato)
{
	// Retorna el indice de la posicion donde se encuentra el elemento en el array o null si no se encuentra
	var x=0;
	while(array[x])
	{
		if(array[x]==dato) return x;
		x++;
	}
	return null;
}

function cargaContenido(idSelectOrigen)
{

	// Obtengo la posicion que ocupa el select que debe ser cargado en el array declarado mas arriba
	var posicionSelectDestino=buscarEnArray(listadoSelects, idSelectOrigen)+1;
	// Obtengo el select que el usuario modifico
	var selectOrigen=document.getElementById(idSelectOrigen);
	var opcionSeleccionada=selectOrigen.options[selectOrigen.selectedIndex].value;
	// Si el usuario eligio la opcion "Elige", no voy al servidor y pongo los selects siguientes en estado "Selecciona opcion..."
	if(opcionSeleccionada==0)
	{
		var x=posicionSelectDestino, selectActual=null;
		// Busco todos los selects siguientes al que inicio el evento onChange y les cambio el estado y deshabilito
		while(listadoSelects[x])
		{
			selectActual=document.getElementById(listadoSelects[x]);
			selectActual.length=0;
			
			alert(listadoSelects[x]);
			
			var nuevaOpcion=document.createElement("option"); nuevaOpcion.value=0; nuevaOpcion.innerHTML="Selecciona Opci&oacute;n...";
			selectActual.appendChild(nuevaOpcion);	selectActual.disabled=true;
			x++;
		}
	}
	// Compruebo que el select modificado no sea el ultimo de la cadena
	else if(idSelectOrigen!=listadoSelects[listadoSelects.length-1])
	{
		// Obtengo el elemento del select que debo cargar
		var idSelectDestino=listadoSelects[posicionSelectDestino];
		var selectDestino=document.getElementById(idSelectDestino);
		// Creo el nuevo objeto AJAX y envio al servidor el ID del select a cargar y la opcion seleccionada del select origen
		var ajax=nuevoAjax();
		ajax.open("GET", "select_dependientes_proceso.php?select="+idSelectDestino+"&opcion="+opcionSeleccionada, true);
		ajax.onreadystatechange=function() 
		{ 
			if (ajax.readyState==1)
			{
				// Mientras carga elimino la opcion "Selecciona Opcion..." y pongo una que dice "Cargando..."
				selectDestino.length=0;
				var nuevaOpcion=document.createElement("option"); nuevaOpcion.value=0; nuevaOpcion.innerHTML="Cargando...";
				selectDestino.appendChild(nuevaOpcion); selectDestino.disabled=true;	
			}
			if (ajax.readyState==4)
			{
				selectDestino.parentNode.innerHTML=ajax.responseText;
			} 
		}
		ajax.send(null);
	}
}
