<?php

/**
 * @diana 
 * @copyright 2008
 */

//Clase Usuario
class CU_Usuario{

  /*Settings*/
  /**
   * Base de datos que usaremos
   * var string
   */
  var $dbName = 'treasurecuador';//'database';
  /**
   * El host
   * var string
   */
  var $dbHost = 'localhost';
  /**
   * El Puerto
   * var int
   */
  var $dbPort = 3306;
  /**
   * El usuario de la base de datos
   * var string
   */
  var $dbUser = 'root';//'user';
  /**
   * El Password de la base de datos
   * var string
   */
  var $dbPass = 'mysql';
  /**
   * La tabla que manejaremos para esta clase usuario
   * var string
   */
  var $dbTable  = 'st_usuario';
  /**
   * variable de sesion en donde almacenaremos los datos mientras el usuario estara logoneado($_SESSION[$sessionVariable])
   * var string
   */
  var $sessionVariable = 'userSessionValue';
  var $sessionVariable2 = 'userSessionValue2';
  /**
   * Los campos de la base de la tabla dada, la estructura es 'fieldType' => 'fieldName'
   * var array
   */
  var $tbFields = array(
  	'stu_idusuario'=> 'stu_idusuario',
  	'stu_user' => 'stu_user',
  	'stu_password'  => 'stu_password',
  	'stu_email' => 'stu_email',
  	'stu_active'=> 'stu_active'
  );
	/**
   * cuando el user queiera que el sistema le estime el tiempo que tiene la cookie (seconds)
   * var int
   */
  var $remTime = 2592000;//1 MES
  /**
   * nombre de cookie que usaremos si el usuario desea que le recuerden
   * var string
   */
  var $remCookieName = 'ckSavePass';
  /**
   * Dominio cookie 
   * var string
   */
  var $remCookieDomain = '';
  /**
   * Este es  el metodo usamos para encriptar el password sha1, md5 o ninguno (no encriptado)
   * var string
   */
  var $passMethod = 'sha1';
  /**
   * setear con true para ayuda o false para que no se muestren errores
   * var bool
   */
  var $displayErrors = true;
  /*NO editar despus de esta linea*/
  var $userID;
  var $user;
  var $dbConn;
  var $userData=array();
  /**
   * Constructor
   * 
   * @param string $dbConn
   * @param array $settings
   * @return void
   */
  function CU_Usuario($dbConn = '', $settings = '')
  {
		if ( is_array($settings) ){
			foreach ( $settings as $k => $v ){
				if ( property_exists($this, $k) ) 
					$this-> {$k} = $v;
				else
					die('Property '.$k.' does not exists');
			}
		}
		$this->remCookieDomain = $this->remCookieDomain == '' ? $_SERVER['HTTP_HOST'] : $this->remCookieDomain;
		$this->dbConn = ($dbConn=='')? mysql_connect($this->dbHost.':'.$this->dbPort, $this->dbUser, $this->dbPass):$dbConn;
		if ( !$this->dbConn ) die(mysql_error($this->dbConn));
		mysql_select_db($this->dbName, $this->dbConn)or die(mysql_error($this->dbConn));
		if( !isset( $_SESSION ) ) session_start();
		if ( !empty($_SESSION[$this->sessionVariable]) ||  !empty($_SESSION[$this->sessionVariable2]))
		{
			$this->loadUser( $_SESSION[$this->sessionVariable] );
			$this->loadUser( $_SESSION[$this->sessionVariable2] );
		}
		//Cookie
		if ( isset($_COOKIE[$this->remCookieName]) && !$this->is_loaded()){
		  //echo 'te conozco :) <br />';
		  $u = unserialize(base64_decode($_COOKIE[$this->remCookieName]));
		  $this->login($u['stu_user'], $u['stu_password']);
		}
  }
  

  function count_rows($result){
  	$res = mysql_num_rows($result);
	if ( !res )
		$this->error(mysql_error($this->dbConn), $line);
	return $res;

  }
    /*   funcion para traer un campo especifico
  */
  function campos($query){
  	$hit = mysql_fetch_array($query);
    return $hit;
  }
  
   /**
  	* Funcion Login : se encarga del logoneo
  	* @param string $uname
  	* @param string $password
  	* @param bool $loadUser
  	* @return bool
  */
  function login($uname, $password, $remember = false, $loadUser = true)
  {
    	$uname    = $this->escape($uname);
    	$password = $originalPassword = $this->escape($password);
		switch(strtolower($this->passMethod)){
		  case 'sha1':
		  	$password = "SHA1('$password')"; break;
		  case 'md5' :
		  	$password = "MD5('$password')";break;
		  case 'nothing':
		  	$password = "'$password'";
		}
		$res = $this->query("SELECT * FROM `{$this->dbTable}` 
		WHERE `{$this->tbFields['stu_user']}` = '$uname' AND `{$this->tbFields['stu_password']}` = $password LIMIT 1",__LINE__);
		//echo "SELECT * FROM `{$this->dbTable}` 
		//WHERE `{$this->tbFields['stu_user']}` = '$uname' AND `{$this->tbFields['stu_password']}` = $password LIMIT 1";
		if ( @mysql_num_rows($res) == 0)
			return false;
		if ( $loadUser )
		{
			$this->userData = mysql_fetch_array($res);
			$this->userID = $this->userData[$this->tbFields['stu_idusuario']];
			$this->user = $this->userData[$this->tbFields['stu_user']];
			
			$_SESSION[$this->sessionVariable] = $this->userID;
			$_SESSION[$this->sessionVariable2] = $this->user;
			
			if ( $remember ){
			  $cookie = base64_encode(serialize(array('uname'=>$uname,'password'=>$originalPassword)));
			  $a = setcookie($this->remCookieName, 
			  $cookie,time()+$this->remTime, '/', $this->remCookieDomain);
			}
		}
		return true;
  }
  
  /**
  	* Funcion Logout: se encarga de sacar de linea al usuario
  	* param string $redirectTo
  	* @return bool
  */
  function logout($redirectTo = '')
  {
    setcookie($this->remCookieName, '', time()-3600);
    $_SESSION[$this->sessionVariable] = '';
    $_SESSION[$this->sessionVariable2] = '';
    if ( $redirectTo != '' && !headers_sent()){
	   header('Location: '.$redirectTo );
	   exit;//Para seguridad marcamos exit
	}
  }
  /**
  	* Funcion is: determina si una propiedad es verdadera o falsa
  	* param string $prop
  	* @return bool
  */
  function is($prop){
  	return $this->get_property($prop)==1?true:false;
  }
  
    /**
  	* Funcion get_property: Obtiene una propiedad del usuario,se enva el nombre o campo de la tabla
  	* @param string $property
  	* @return string
  */
  function get_property($property)
  {
    if (empty($this->userID)) $this->error('Usuario no esta cargado', __LINE__);
    if (!isset($this->userData[$property])) $this->error('Propiedad desconocida <b>'.$property.'</b>', __LINE__);
    return $this->userData[$property];
  }
  /**
  	* Funcion active: Para verificar si hay suuario activo
  	* @return bool
  */
  function is_active()
  {
    return $this->userData[$this->tbFields['stu_active']];
  }
  
  /**
   * Funcion is_loaded: verifica si el suuario esta o no cargado
   * @ return bool
   */
  function is_loaded()
  {
    return empty($this->userID) ? false : true;
  }
  /**
  	* Funcion activate: activa la cuenta del suuario
  	* @return bool
  */
  function activate()
  {
    if (empty($this->userID)) $this->error('Usuario no est cargado', __LINE__);
    if ( $this->is_active()) $this->error('Ya se encuentra activa la cuenta', __LINE__);
    $res = $this->query("UPDATE `{$this->dbTable}` SET {$this->tbFields['stu_active']} = 1 
	WHERE `{$this->tbFields['stu_idusuario']}` = '".$this->escape($this->userID)."' LIMIT 1");
    if (@mysql_affected_rows() == 1)
	{
		$this->userData[$this->tbFields['stu_active']] = true;
		return true;
	}
	return false;
  }
  /*
   * Funcion insertUser: Crea una cuenta al suuario al registrarse. El arreglo tiene la estructura  'campo base_datos' => 'valor'
   * @param array $data
   * return int
   */  
  function insertUser($data){
    if (!is_array($data)) $this->error('Este dato no esta en el arreglo', __LINE__);
    switch(strtolower($this->passMethod)){
	  case 'sha1':
	  	$password = "SHA1('".$data[$this->tbFields['stu_password']]."')"; break;
	  case 'md5' :
	  	$password = "MD5('".$data[$this->tbFields['stu_password']]."')";break;
	  case 'nothing':
	  	$password = $data[$this->tbFields['stu_password']];
	}
	$query = "select stu_user from $this->dbTable where stu_user='".$data[$this->tbFields['stu_user']]."'";
	$cont = @mysql_num_rows($this->query($query));
	if($cont>0)
		return 0;
    foreach ($data as $k => $v ) $data[$k] = "'".$this->escape($v)."'";
    $data[$this->tbFields['stu_password']] = $password;
    $this->query("INSERT INTO `{$this->dbTable}` (`".implode('`, `', array_keys($data))."`) VALUES (".implode(", ", $data).")");
	return (int)mysql_insert_id($this->dbConn);
  }
  /*
   * Funcion randomPass: Crea un password tipo random. Puede usar esta funcion para crear un password  un hash para una activacion de un usuario
   * param int $length
   * param string $chrs
   * return string
   */
  function randomPass($length=10, $chrs = '1234567890qwertyuiopasdfghjklzxcvbnm'){
    $ch = str_split($chrs);
    for($i = 0; $i < $length; $i++)
    {
        $pwd .= $chrs{mt_rand(0, strlen($chrs))};
    }
    return $pwd;
  }
  ////////////////////////////////////////////
  // PRIVATE FUNCTIONS
  ////////////////////////////////////////////
  
  /**
  	* SQL query : funcion para ejecutar un query
  	* @access private
  	* @param string $sql
  	* @return string
  */
  function query($sql, $line = 'Uknown')
  {
	$res = mysql_db_query($this->dbName, $sql, $this->dbConn);
	if ( !$res ){
		$this->error(mysql_error($this->dbConn), $line);
		return false;
    }
	return $res;
  }
  
  /**
  	* Funcion loadUser: para cargar todos los datos del usuario
  	* @access private
  	* @param string $userID
  	* @return bool
  */
  function loadUser($userID)
  {
	$res = $this->query("SELECT * FROM `{$this->dbTable}` WHERE `{$this->tbFields['stu_idusuario']}` = '".$this->escape($userID)."' LIMIT 1");
    if ( mysql_num_rows($res) == 0 )
    	return false;
    $this->userData = mysql_fetch_array($res);
    $this->userID = $userID;
    $this->user =  $this->userData[$this->tbFields['stu_user']];
        
    $_SESSION[$this->sessionVariable] = $this->userID;
    $_SESSION[$this->sessionVariable2] = $this->user;
    return true;
  }

  /**
  	* Resultado de addslashes() mas seguro
  	* @access private
  	* @param string $str
  	* @return string
  */  
  function escape($str)
  {
    $str = get_magic_quotes_gpc()?stripslashes($str):$str;
    $str = mysql_real_escape_string($str, $this->dbConn);
    return $str;
  }
  
  /**
  	* Errores
  	* @access private
  	* @param string $error
  	* @param int $line
  	* @param bool $die
  	* @return bool
  */  
  function error($error, $line = '', $die = false)
  {
    if ( $this->displayErrors )
    	echo '<b>Error: </b>'.$error.'<br /><b>Line: </b>'.($line==''?'Unknown':$line).'<br />';
    if ($die) exit;
    return false;
  }
  function desconectar(){
	mysql_close();
 }

 function retorna_email($user){
           $select = "SELECT stu_user, stu_password, stu_email FROM st_usuario WHERE stu_user='".$user."'";
           $result = mysql_fetch_array($this->query($select));
		   if ( count($result)<=0)
              return false;
           else
               return $result;
 }


  //Para actualizar usuario
    function updateUser($data, $cambiar_clave=null){
    if (!is_array($data)) $this->error('Este dato no esta en el arreglo', __LINE__);

	//si estamos desde cambiar clave sera "cambiar_clave" true y restamos el mail xq desde esta parte no tenemos este campo
    if($cambiar_clave!="" && isset($cambiar_clave)){
        $and_select = "";
        $and = " ";
    }
    else{
        $and_select = "AND stu_email='".$data['stu_email']."'";
        $and = " AND stu_email='".$data['stu_email']."' ";
    }
    
	//verificamos si este user existe
	$sQuery = "SELECT *
               FROM st_usuario
               WHERE stu_user='".$data['stu_user']."' $and_select";
    $result = $this->query($sQuery);
	$num_reg = $this->count_rows($result);//num d registros obtenidos con esta consulta

    if($num_reg>0){
        switch(strtolower($this->passMethod)){
	      case 'sha1':
	  	    $password = "SHA1('".$data[$this->tbFields['stu_password']]."')"; break;
	      case 'md5' :
	  	    $password = "MD5('".$data[$this->tbFields['stu_password']]."')";break;
	      case 'nothing':
	  	    $password = $data[$this->tbFields['stu_password']];
	    }
	

        //si hubo datos se procede a actualizar el user
        $update = "UPDATE st_usuario set stu_password=".$password."
               WHERE stu_user='".$data['stu_user']."' $and";
        $result_update = $this->query($update);


        if($result_update) return true;
        else return false;
    }
    
    else
        return false;
    
  }
  
  
}

?>
