<?php
//require_once('fpdf.php');
include('../config.php');
require_once('../'.$ruta_pdf.'/fpdf.php');
include('../'.$ruta_administrador.'/validacion.php');
require_once('../'.$ruta_class_user);
$user=new CU_Usuario();
$var_sesion=$_SESSION["userSessionValue2"];

class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;



function PDF($orientation='P',$unit='mm',$format='A4')
{
    //Llama al constructor de la clase padre
    $this->FPDF($orientation,$unit,$format);
    //Iniciacin de variables
    $this->B=0;
    $this->I=0;
    $this->U=0;
    $this->HREF='';
}

//Cabecera de pgina
function Header()
{
	
/* //Logo
    //$this->Image('logo_pb.png',10,8,33);
    //Arial bold 15
    $this->SetFont('Arial','B',15);
	$this->SetTextColor(220,50,50);
    //Movernos a la derecha
    $this->Cell(80);
    //Ttulo
    $this->Cell(30,20,'Title',1,0,'C');
    //Salto de lnea
    $this->Ln(20);*/
	global $title;

    //Arial bold 15
    $this->SetFont('times','BI',15);
    //Calculamos ancho y posicin del ttulo.
    $w=$this->GetStringWidth($title)+6;
    $this->SetX((210-$w)/2);
    //Colores de los bordes, fondo y texto
    $this->SetDrawColor(0,0,0);//0,80,180);
    //$this->SetFillColor(230,230,0);
    $this->SetTextColor(220,50,50);
    //Ancho del borde (1 mm)
    //$this->SetLineWidth(1);
    //Ttulo
	$this->Text(80,30,$title);//hacer una imagen aqui en el titulo
    //$this->Cell($w,9,$title,1,1,'C',1);
    //Salto de lnea
    $this->Ln(10);

}

//Pie de pgina
function Footer()
{
    //Posicin: a 1,5 cm del final
    $this->SetY(-15);
    //Arial italic 8
    $this->SetFont('Arial','I',8);
    //Nmero de pgina
    $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
}

function WriteHTML($html)
{
    //Intrprete de HTML
    $html=str_replace("\n",' ',$html);
    $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
    foreach($a as $i=>$e)
    {
        if($i%2==0)
        {
            //Text
            if($this->HREF)
                $this->PutLink($this->HREF,$e);
            else
                $this->Write(5,$e);
        }
        else
        {
            //Etiqueta
            if($e{0}=='/')
                $this->CloseTag(strtoupper(substr($e,1)));
            else
            {
                //Extraer atributos
                $a2=explode(' ',$e);
                $tag=strtoupper(array_shift($a2));
                $attr=array();
                foreach($a2 as $v)
                    if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                        $attr[strtoupper($a3[1])]=$a3[2];
                $this->OpenTag($tag,$attr);
            }
        }
    }
}

function OpenTag($tag,$attr)
{
    //Etiqueta de apertura
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,true);
    if($tag=='A')
        $this->HREF=$attr['HREF'];
    if($tag=='BR')
        $this->Ln(5);
}

function CloseTag($tag)
{
    //Etiqueta de cierre
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,false);
    if($tag=='A')
        $this->HREF='';
}

function SetStyle($tag,$enable)
{
    //Modificar estilo y escoger la fuente correspondiente
    $this->$tag+=($enable ? 1 : -1);
    $style='';
    foreach(array('B','I','U') as $s)
        if($this->$s>0)
            $style.=$s;
    $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
    //Escribir un hiper-enlace
    $this->SetTextColor(0,0,255);
    $this->SetStyle('U',true);
    $this->Write(5,$txt,$URL);
    $this->SetStyle('U',false);
    $this->SetTextColor(0);
}

function Table()
{
	    $this->SetFillColor(255,255,255);
   		$this->SetTextColor(0,0,0);
    	//Ancho del borde (1 mm)
    	$this->SetLineWidth(0);
}
}

if(isset($_GET['consulta']))
{

	$max_row=4;
	$cont_row=0;
	//$row_height=7;
	$query=$_GET['consulta'];
	$query=array_recibe($query);		

	$pdf = new PDF();
	$pdf->SetAutoPageBreak(false);
	$pdf->AliasNbPages();

	$title='Rutas Tursticas';
	
	
	$pdf->AddPage();
	$pdf->Image($ruta_imagenes.'/margen.jpg',0,0);
	$pdf->Header();

	$y_axis_initial=50;//50;
	$y_axis=50;
	
	/*$pdf->SetFillColor(232,232,232);
	$pdf->SetTextColor(39,10,95);*/
	//$pdf->Table();
	$pdf->SetFont('Arial','B',11);
	$pdf->SetY($y_axis_initial);
	$pdf->SetX(25);

	$num_query=count($query);

	 	
	//$pdf->SetDrawColor(0, 153, 153);//(21, 134, 159);
	//$pdf->SetLineWidth(1);
	//$pdf->Line(10,50,200,50);
	

	

	for($i=0;$i<$num_query;$i++){
			$id_negocio=$query[$i][6];
			$con_img= $user->query("select concat(stdn_urlimg,'/',stdn_nombreimg), stdn_titulo from st_detalle_negocio where stdn_iddetalle = (SELECT min(stdn_iddetalle) FROM `st_detalle_negocio` WHERE stdn_idnegocio = '$id_negocio')");
			$img_res=mysql_fetch_row($con_img);

	
			if($cont_row==$max_row){//para comenzar una nueva pagina
				$pdf->AddPage();
				$pdf->Image($ruta_imagenes.'/margen.jpg',0,0);
				$pdf->Header();
				  //$pdf->SetY($y_axis_initial);
		          //$pdf->SetX(15);
			      $y_axis = $y_axis_initial;//$y_axis + $row_height;
				  $cont_row=0;
			}
			$pdf->Table();
			$row_height =7;
			$pdf->SetY($y_axis);
			$pdf->SetX(15);
			$pdf->SetFillColor(183,53,89);//0,138,236);//,128,255);
			$pdf->SetTextColor(255,255,255);//0,138,236);//,128,255);
			$pdf->Cell(180,6,strtoupper($query[$i][0]),0,0,'L',1);
			$y_axis = $y_axis + $row_height;
			$pdf->SetY($y_axis);//57);
			$pdf->SetX(15);
			$texto=$query[$i][3]."\n";
			if($query[$i][2])	$direccion="Direccin: ".$query[$i][2];
			if($query[$i][1])	$telefono="Telfono: ".$query[$i][1];
			$texto.=$direccion."\n".$telefono."\n";
			$ubicacion=$query[$i][4]."-".$query[$i][5];
			$texto.=$ubicacion;
			
				
			$pdf->SetFillColor(255,255,255);
			$pdf->SetTextColor(0,0,0);//0,138,236);//,128,255);
			$pdf->MultiCell(100,6,$texto,0,'L',1);
			$pdf->Ln(10);
			
			if($img_res[0]){
				$pdf->Image($img_res[0],135,$y_axis,33,30);
			}
			//$pdf->Ln(10);
			$row_height=50;//30;
			$y_axis = $y_axis + $row_height;
			$cont_row++;
	}

	
	
	$pdf->WriteHTML("<b>Fecha:</b> ".date("d/m/Y"));
	$pdf->WriteHTML("<b>Hora:</b> ".date("H:i:s")."\n\n");
	$pdf->Output();
}

?>